БАЛАБОЛКА :: История изменений

[+] Новая функция
[-] Исправлена ошибка
[*] Изменения
~~~~~~~~~~~~~~~~~~~~~


25.01.2026     v2.15.0.912
[-] Исправлено использование сервиса перевода Microsoft.
[*] Обновлены списки голосов для Google Cloud и IBM Watson.
[*] Обновлены испанские, немецкие, польские и узбекские языковые ресурсы (спасибо Фернандо Грегойре, Регине Мюллер, Сташеку Фрелингу и Улугбеку Тулакову).


10.01.2026     v2.15.0.911
[+] Небольшие улучшения.
[*] Обновлены болгарские, корейские и хорватские языковые ресурсы (спасибо Костадину Колеву, VenusGirl и Петару Дивичу).


13.12.2025     v2.15.0.910
[-] Исправлены мелкие ошибки.
[*] Обновлены корейские языковые ресурсы (спасибо VenusGirl).


22.11.2025     v2.15.0.909
[-] Демо ElevenLabs больше не используется. (Сервис доступен только с API-ключом.)
[-] Исправлено использование сервиса перевода Google.
[*] Обновлен список голосов для Google Cloud.
[*] Обновлены итальянские, корейские, словацкие, турецкие, хорватские и чешские языковые ресурсы (спасибо Массимо Кастилье, VenusGirl, Томашу Громадке, Феттаху Пинару и Петару Дивичу).


18.10.2025     v2.15.0.908
[-] Исправлены паузы между абзацами при чтении вслух голосами Microsoft Online.
[-] Исправлено преобразование слов в фонетическую транскрипцию IPA для голосов Microsoft Svetlana и Microsoft Dmitry (локальные версии голосов).
[*] Обновлен список голосов для Amazon Polly.
[*] Обновлены болгарские, корейские и польские языковые ресурсы (спасибо Костадину Колеву, VenusGirl и Сташеку Фрелингу).


30.09.2025     v2.15.0.907
[+] Добавлена настройка для исправления пауз между абзацами при чтении вслух голосами Microsoft Online (окно "Общие настройки", вкладка "Чтение").
[-] Исправлено преобразование субтитров в речь для голосов SAPI 5.
[-] Исправлено использование Google TTS.
[*] Обновлены библиотеки OpenSSL.
[*] Обновлены списки голосов для Google Cloud и IBM Watson.
[*] Обновлены болгарские, вьетнамские, корейские и хорватские языковые ресурсы (спасибо Костадину Колеву, Нгуен Нинь Хоангу, VenusGirl и Петару Дивичу).


13.09.2025     v2.15.0.906
[+] Небольшие улучшения.
[-] Исправлено использование сервиса перевода Lingvanex.
[*] Обновлено извлечение текста из файлов форматов DOCX и ODT.


06.09.2025     v2.15.0.905
[+] Добавлен сервис перевода Glosbe Translator.
[+] Добавлены акселераторы клавиатуры для окна "Найти/Заменить". (Это эксперимент, так как есть проблема из-за множества языков интерфейса программы.)
[-] Исправлена подсветка текста при чтении вслух.
[*] Обновлены болгарские, вьетнамские, корейские, польские, турецкие и хорватские языковые ресурсы (спасибо Костадину Колеву, Нгуен Нинь Хоангу, VenusGirl, Сташеку Фрелингу, Феттаху Пинару и Петару Дивичу).


28.08.2025     v2.15.0.904
[+] Добавлена настройка для выбора между lame_enc.dll и lame.exe для преобразования аудиоданных в MP3 (окно "Аудиофайлы", вкладка "Дополнительно").
[-] Исправлено использование Google TTS.
[*] Обновлен список языков для Google TTS.
[*] Обновлены болгарские, корейские, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву, VenusGirl и Томашу Громадке).


24.08.2025     v2.15.0.903
[+] Добавлена новая настройка для функции слежения за буфером обмена.
[-] Исправлено использование Google TTS.
[-] Исправлено использование LibreTranslate и Prompt.
[*] Обновлен список языков для Google TTS.


18.08.2025     v2.15.0.902
[-] Исправлено использование Microsoft Azure через WebSocket.
[*] Обновлен список голосов для Google Cloud.
[*] Обновлены немецкие и польские языковые ресурсы (спасибо Регине Мюллер и Сташеку Фрелингу).


02.08.2025     v2.15.0.901
[+] Небольшие улучшения.
[*] Обновлены болгарские, вьетнамские, корейские, словацкие, узбекские, хорватские и чешские языковые ресурсы (спасибо Костадину Колеву, Нгуен Нинь Хоангу, VenusGirl, Томашу Громадке, Улугбеку Тулакову и Петару Дивичу).


19.07.2025     v2.15.0.900
[-] Исправлено использование ElevenLabs TTS.
[-] Исправлено применение закладок.
[-] Исправлены паузы между предложениями и абзацами при использовании Windows 7.
[*] Обновлены настройки для "Таймера".
[*] Обновлены болгарские, итальянские, корейские и узбекские языковые ресурсы (спасибо Костадину Колеву, Массимо Кастилье, Ким Ён Гаму и Улугбеку Тулакову).
[-] Судя по тестам, разработчики Microsoft исправили ошибку в системной библиотеке MMDevApi.dll: после установки обновления KB5060829 для Windows 11 24H2 функции библиотеки работают стабильно. Но я пока не могу вернуть использование библиотеки MMDevApi.dll в свое приложение, так как надо ждать, когда обновление будет установлено на компьютеры большинства пользователей Windows 11.


28.06.2025     v2.15.0.899
[-] Исправлено извлечение текста из файлов форматов DOCX, FB2, FB3, ODP, ODT и PPTX.
[-] Исправлено использование Google TTS.
[-] Исправлены паузы между абзацами для Microsoft Azure.
[*] Обновлено извлечение верхних и нижних индексов из файлов форматов AZW3, DOCX, FB2, FB3, HTML, ODP и ODT.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


07.06.2025     v2.15.0.898
[+] Добавлено извлечение текста из файлов формата TXTZ.
[-] Исправлено извлечение текста из файлов форматов AZW3, EPUB, MOBI и PDB.
[-] Исправлено использование сервиса перевода Youdao.


24.05.2025     v2.15.0.897
[-] Исправлено использование IBM Watson Text-To-Speech.
[*] Обновлен список голосов для Google Cloud.


17.05.2025     v2.15.0.896
[*] Если чтение вслух должно быть остановлено по таймеру, программа дочитает до конца абзаца.
[*] Обновлены списки голосов для IBM Watson и Yandex SpeechKit.
[*] Утилита lame.exe используется вместо библиотеки lame_enc.dll. (Многие пользователи жаловались на проблемы во время преобразования аудиоданных в формат MP3.)


08.05.2025     v2.15.0.895
[+] Добавлен сервис перевода Lingea Translator.
[-] Исправлено использование Google TTS.
[*] Обновлены языковые ресурсы для польского и хорватского языков (спасибо Сташеку Фрелингу и Петару Дивичу).


26.04.2025     v2.15.0.894
[*] Обновлено подменю со списком голосов в главном меню.
[*] Обновлено использование CereVoice Cloud.
[*] Обновлены болгарские, вьетнамские, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву, Нгуен Нинь Хоангу и Томашу Громадке).


19.04.2025     v2.15.0.893
[-] Исправлены паузы между предложениями при использовании SAPI 5.
[*] Обновлены списки голосов для Google Cloud, Microsoft Azure и Yandex SpeechKit.
[*] Обновлено произнесение номеров текстовых блоков при сохранении текста как несколько аудиофайлов.
[*] Обновлены вьетнамские языковые ресурсы (спасибо Нгуен Нинь Хоангу).


05.04.2025     v2.15.0.892
[+] Добавлена поддержка сервисов перевода Caiyun Translate и Tilde Machine Translation.
[-] Сервис Reverso Translate больше не используется.
[*] Обновлены вьетнамские языковые ресурсы (спасибо Нгуен Нинь Хоангу).


29.03.2025     v2.15.0.891
[-] Исправлено использование Microsoft Azure (спасибо Феттаху Пинару).
[*] Демо IBM Watson Text-To-Speech вновь доступно.
[*] Обновлены немецкие и узбекские языковые ресурсы (спасибо Регине Мюллер и Улугбеку Тулакову).


22.03.2025     v2.15.0.890
[+] Небольшие улучшения.
[*] Обновлен список голосов для Google Cloud.
[*] Обновлены болгарские, вьетнамские, испанские, немецкие и турецкие языковые ресурсы (спасибо Костадину Колеву, Нгуен Нинь Хоангу, Фернандо Грегойре, Регине Мюллер и Феттаху Пинару).


22.02.2025     v2.15.0.889
[+] Добавлены иконки большого размера для панели кнопок в главном окне (спасибо Дмитрию Харыбину).
[+] Добавлены новые настройки в окно перевода.
[*] Обновлено использование ElevenLabs Text-To-Speech.
[*] Обновлены болгарские, турецкие, узбекские и хорватские языковые ресурсы (спасибо Костадину Колеву, Феттаху Пинару, Улугбеку Тулакову и Петару Дивичу).


15.02.2025     v2.15.0.888
[+] Добавлена кнопка "Перевести всеми сервисами" в окно перевода текста.
[-] Исправлено использование Microsoft Azure.
[*] Обновлены болгарские, китайские, польские и хорватские языковые ресурсы (спасибо Костадину Колеву, Анану, Сташеку Фрелингу и Петару Дивичу).


08.02.2025     v2.15.0.887
[+] Добавлено использование ElevenLabs Text-To-Speech. (Сервис недоступен для пользователей с российскими IP-адресами.)
[+] Сервис FPT.AI Text-To-Speech вновь используется.
[+] Добавлена настройка для интенсивности применения стилей речи при использовании голосов Microsoft Azure. 
[*] Обновлены списки голосов для Google Cloud и Microsoft Azure.
[*] Обновлены словацкие и чешские языковые ресурсы (спасибо Томашу Громадке).


28.12.2024     v2.15.0.886
[+] Добавлено использование сервиса перевода Systran. (Сервис недоступен для пользователей с российскими IP-адресами.)
[*] Обновлен список голосов для Microsoft Azure.
[*] Обновлены корейские языковые ресурсы (спасибо Ким Ён Гаму).


21.12.2024     v2.15.0.885
[+] Сервис Baidu Translate вновь используется.
[-] Системная библиотека MMDevApi.dll более не используется: это позволит избежать вылетов программы после установки обновления 24H2 для Windows 11 (спасибо Икуо Курихаре за тестирование).
[*] Обновлено перетаскивание файлов с помощью мыши.
[*] При автоопределении кодировки текста программа по умолчанию будет предполагать, что текстовый файл имеет кодировку UTF-8 (в предыдущих версиях программа по умолчанию предполагала ASCII-символы в файле).


14.12.2024     v2.15.0.884
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, вьетнамские, испанские, корейские, немецкие, турецкие, узбекские и хорватские языковые ресурсы (спасибо Костадину Колеву, Нгуен Нинь Хоангу, Фернандо Грегойре, Ким Ён Гаму, Регине Мюллер, Феттаху Пинару, Улугбеку Тулакову и Петару Дивичу).


30.11.2024     v2.15.0.883
[+] Добавлена кнопка "Выбрать голос" в главное окно: кнопка поможет выбирать элементы из списка голосов, если список очень длинный.
[+] Небольшие улучшения.
[-] Исправлено использование Yandex SpeechKit.
[*] Обновлен список голосов для CereVoice Cloud.
[*] Обновлено использование Iciba TTS, Naver TTS и Youdao TTS.
[*] Из программы убраны все изменения, связанные с вылетами программы из-за системной библиотеки MMDevApi.dll. Вот что известно о проблеме, которая появляется после установки обновления 24H2 для Windows 11: если монитор пользователя содержит колонки, если графическая карта и монитор соединены кабелем, по которому передается звук, - это приводит к нестабильной работе программы "Балаболка", она периодически вылетает, и в журнале событий причиной вылета указана библиотека MMDevApi.dll. Но если подключить колонки или наушники к аудиоразъему на материнской плате этого же компьютера, то программа "Балаболка" работает стабильно. Итак, проблема не в библиотеке MMDevApi.dll и не в программе "Балаболка", а в каком-то драйвере внутри обновления 24H2. Пока разработчики Microsoft не исправят проблему, ситуация обстоит так: если вы установили обновление 24H2 для Windows 11 и "Балаболка" начала вылетать, подключите ваше выходное аудиоустройство к другому порту компьютера.


16.11.2024     v2.15.0.882
[*] Демо IBM Watson Text-To-Speech вновь доступно (временно).
[*] Обновлены болгарские, узбекские и хорватские языковые ресурсы (спасибо Костадину Колеву, Улугбеку Тулакову и Петару Дивичу).


06.11.2024     v2.15.0.881
[+] Добавлена поддержка сервиса перевода LibreTranslate.
[+] Добавлена настройка для ограничения максимальной скорости речи при преобразовании субтитров в звуковые файлы (когда используется библиотека SoundTouch).
[*] Для онлайн-сервисов ускорение скорости речи при преобразовании субтитров в звуковые файлы будет осуществляться только с помощью библиотеки SoundTouch.


26.10.2024     v2.15.0.880
[-] Еще одно временное решение для  Windows 11 24H2: приложение не будет мониторить подключение/отключение аудиоустройств. Ждем, когда разработчики Microsoft исправят ошибку в библиотеке MMDevApi.dll.
[-] Исправлено использование Microsoft Azure: сервер периодически возвращает аудиоданные нулевой длины по неизвестной причине.
[*] Обновлен список голосов для Yandex SpeechKit.


22.10.2024     v2.15.0.879
[-] Исправлено извлечение текста из файлов форматов FB2 и FB3.
[-] Исправлено использование Yandex SpeechKit.
[-] Демо IBM Watson Text-To-Speech больше не используется. (Сервис постоянно возвращает код состояния HTTP 301.)
[-] Использовано временное решение проблемы для Windows 11 24H2: эта версия операционной системы содержит сбойную библиотеку MMDevApi.dll, и разработчики Microsoft все еще отказываются исправить ошибку.
[*] Обновлены списки голосов для Google Cloud и Microsoft Azure.
[*] Обновлены словацкие, турецкие и чешские языковые ресурсы (спасибо Томашу Громадке и Феттаху Пинару).


25.08.2024     v2.15.0.878
[-] Исправлено использование тега PAUSE.
[-] Исправлены паузы между предложениями для Microsoft Azure.
[*] Обновлены болгарские и узбекские языковые ресурсы (спасибо Костадину Колеву и Улугбеку Тулакову).


10.08.2024     v2.15.0.877
[-] Сервис OpenAI Text-To-Speech больше не используется. (Сервис постоянно возвращает ошибку HTTP 429.)
[-] Исправлено использование iTranslate Text-To-Speech.
[*] Обновлены списки голосов для Google Cloud и Microsoft Azure.


28.07.2024     v2.15.0.876
[+] Добавлено использование Iciba Text-To-Speech и iTranslate Text-To-Speech.
[*] Обновлен список голосов для Baidu Text-To-Speech.


22.07.2024     v2.15.0.875
[-] Исправлено использование Google Text-To-Speech.
[*] Обновлены вьетнамские и китайские языковые ресурсы (спасибо Нгуен Нинь Хоангу и Анану).


14.07.2024     v2.15.0.874
[-] Исправлено использование Yandex SpeechKit.
[*] Обновлены польские языковые ресурсы (спасибо Сташеку Фрелингу).


06.07.2024     v2.15.0.873
[+] Добавлена поддержка сервиса перевода Alibaba Translate.
[-] Сервисы Baidu Translate и IBM Watson Language Translator больше не используются.
[-] Исправлено использование сервисов перевода.
[*] Обновлены испанские и итальянские языковые ресурсы (спасибо Фернандо Грегойре и Массимо Кастилье).


15.06.2024     v2.15.0.872
[-] Исправлено извлечение текста из файлов формата PDF.
[*] Обновлены болгарские, испанские, немецкие, словацкие, узбекские, хорватские и чешские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Регине Мюллер, Томашу Громадке, Петару Дивичу и Улугбеку Тулакову).


01.06.2024     v2.15.0.871
[*] Обновлено использование Google Cloud, IBM Watson Text-To-Speech и SpeechPro Text-To-Speech.
[*] Обновлены болгарские, вьетнамские и хорватские языковые ресурсы (спасибо Костадину Колеву, Нгуен Нинь Хоангу и Петару Дивичу).


26.05.2024     v2.15.0.870
[-] Исправлено применение регулярных выражений.
[*] Обновлены списки голосов для Google Cloud и Microsoft Azure.
[*] Обновлено преобразование субтитров в звуковые файлы для SAPI 5 и Microsoft Speech Platform.
[*] Обновлено преобразование субтитров в звуковые файлы для онлайн-сервисов синтеза речи.
[*] Обновлены вьетнамские языковые ресурсы (спасибо Нгуен Нинь Хоангу).


22.04.2024     v2.15.0.869
[-] Исправлено использование IBM Watson Text-To-Speech.


06.04.2024     v2.15.0.868
[*] Обновлены списки голосов для Amazon Polly, Google Cloud и Microsoft Azure.
[*] Обновлено использование OpenAI Text-To-Speech.


01.04.2024     v2.15.0.867
[*] Обновлено использование Yandex SpeechKit.
[*] Сервис SpeechPro Text-To-Speech вновь используется.


31.03.2024     v2.15.0.866
[-] Сервис SpeechPro Text-To-Speech больше не используется.
[*] Сервис Iciba Translate вновь используется.
[*] Обновлен список голосов для Acapela Cloud.


24.03.2024     v2.15.0.865
[+] Добавлено использование OpenAI Text-To-Speech.
[*] Обновлены венгерские, словацкие и чешские языковые ресурсы (спасибо Золтану Мадьяру и Томашу Громадке).


03.02.2024     v2.15.0.864
[+] Добавлена поддержка сервисов перевода iTranslate и Lingvanex.


27.01.2024     v2.15.0.863
[-] Сервис Iciba Translate больше не используется.
[-] Исправлены мелкие ошибки.
[*] Обновлены испанские, итальянские и китайские языковые ресурсы (спасибо Фернандо Грегойре, Массимо Кастилье и Анану).


03.01.2024     v2.15.0.862
[*] Обновлено использование Yandex SpeechKit.
[*] Обновлены хорватские и узбекские языковые ресурсы (спасибо Петару Дивичу и Улугбеку Тулакову).


25.12.2023     v2.15.0.861
[*] Обновлено использование Yandex SpeechKit: добавлена поддержка API версии 3 (gRPC).
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


23.12.2023     v2.15.0.860
[+] Добавлен параметр командной строки для чтения документа по методу Spritz.
[*] Обновлен список голосов для Yandex SpeechKit: добавлены русские голоса для API версии 3.


13.12.2023     v2.15.0.859
[+] Добавлены узбекские языковые ресурсы (спасибо Улугбеку Тулакову).
[*] Обновлено использование Microsoft Azure.
[*] Обновлен список голосов для Google Cloud.


25.11.2023     v2.15.0.858
[*] Обновлено использование Viettel Text-To-Speech: приложение может применить сервисы от Viettel Group и Viettel AI.
[*] Обновлены языковые ресурсы для хорватского языка (спасибо Петару Дивичу).


14.11.2023     v2.15.0.857
[-] Исправлено использование CereVoice Cloud.
[*] Обновлены болгарские, испанские и немецкие языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Регине Мюллер).


14.10.2023     v2.15.0.856
[+] Небольшие улучшения.
[+] Добавлены туркменские языковые ресурсы (спасибо Назару Маммедову).


23.09.2023     v2.15.0.855
[-] Исправлено преобразование субтитров в звуковые файлы для онлайн-сервисов синтеза речи.
[*] Обновлены итальянские и польские языковые ресурсы (спасибо Массимо Кастилье и Сташеку Фрелингу).


09.09.2023     v2.15.0.854
[-] Исправлено извлечение текста из файлов формата EPUB.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


24.08.2023     v2.15.0.853
[-] Исправлены мелкие ошибки.
[*] Обновлен список голосов для Microsoft Azure.
[*] Обновлены болгарские, испанские, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву, Томашу Громадке и Фернандо Грегойре).


06.08.2023     v2.15.0.852
[+] Добавлено использование Acapela Cloud.
[+] Добавлена возможность переключения между онлайн-сервисами синтеза речи при создании звукового файла.
[*] Исправлено использование SAPI 4 для голосов, языки которых не совпадают с региональными установками Windows.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


17.06.2023     v2.15.0.851
[*] Обновлен список голосов для Google Cloud.
[-] Исправлены мелкие ошибки.


10.06.2023     v2.15.0.850
[+] Добавлены настройки для частоты дискретизации создаваемых аудиофайлов (Amazon Polly, CereVoice Cloud, Google Cloud).
[*] Обновлено использование IBM Watson Text-To-Speech.
[*] Обновлены болгарские, испанские и турецкие языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Феттаху Пинару).


02.06.2023     v2.15.0.849
[+] Добавлено использование CereVoice Cloud.
[+] Добавлены новые настройки для Microsoft Azure (кнопка "Настройки").
[-] Исправлено преобразование субтитров в звуковые файлы.


27.05.2023     v2.15.0.848
[-] Исправлено использование Microsoft Azure.
[*] Обновлен список голосов для Microsoft Azure.
[*] Обновлены болгарские, испанские, словацкие, турецкие и чешские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Томашу Громадке и Феттаху Пинару).


20.05.2023     v2.15.0.847
[+] Добавлена настройка "Выделить цветом строку с именованной закладкой" (окно "Шрифт и цвета").
[-] Исправлено извлечение текста из файлов формата EPUB.
[*] Обновлено использование Microsoft Azure: добавлена поддержка протокола WebSocket.
[*] Обновлен список голосов для Amazon Polly.
[*] Улучшено чтение по методу Spritz.


30.04.2023     v2.15.0.846
[*] Обновлено использование Yandex SpeechKit.


22.04.2023     v2.15.0.845
[-] Исправлено использование SpeechPro TTS, Yandex SpeechKit и Youdao TTS.
[*] Обновлен список голосов для Youdao Text-To-Speech.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


19.04.2023     v2.15.0.844
[*] Обновлен список голосов для IBM Watson Text-To-Speech. Часть голосов была удалена из сервиса 31 марта 2023 года.
[-] Исправлено использование IBM Watson Text-To-Speech.
[-] Исправлены мелкие ошибки.


01.04.2023     v2.15.0.843
[*] Обновлено использование Naver Text-To-Speech.
[-] Исправлены мелкие ошибки.


25.03.2023     v2.15.0.842
[+] Добавлено использование VK Cloud Voice (онлайн-сервиса, ранее известного как Mail.ru Cloud Voice).
[+] Небольшие улучшения.
[-] Сервис FPT.AI Text-To-Speech больше не используется.


16.03.2023     v2.15.0.841
[-] Исправлено использование IBM Watson Text-To-Speech.
[*] Обновлены испанские и итальянские языковые ресурсы (спасибо Фернандо Грегойре и Паоло Лопиано).


11.03.2023     v2.15.0.840
[-] Исправлена поддержка SpeechPro Text-To-Speech.
[*] Обновлен список голосов для Google Cloud Text-To-Speech.
[*] Обновлены болгарские и турецкие языковые ресурсы (спасибо Костадину Колеву и Феттаху Пинару).


02.03.2023     v2.15.0.839
[+] Небольшие улучшения.
[-] Исправлено использование Microsoft Azure.
[*] Обновлен список голосов для Google Cloud Text-To-Speech.
[*] Обновлены словацкие и чешские языковые ресурсы (спасибо Томашу Громадке).


25.02.2023     v2.15.0.838
[+] Сервис Baidu Translate вновь используется.
[-] Исправлено использование Baidu Text-To-Speech.
[-] Исправлено использование FPT.AI Text-To-Speech.


18.02.2023     v2.15.0.837
[-] Исправлены мелкие ошибки.
[*] Обновлен список голосов для Microsoft Azure.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


11.02.2023     v2.15.0.836
[+] Добавлено глобальное сочетание клавиш "Слежение за буфером обмена (включить/выключить)".
[*] Обновлен список голосов для Yandex SpeechKit.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


04.02.2023     v2.15.0.835
[-] Исправлено извлечение текста из файлов формата DOCX.
[*] Обновлен список голосов для Microsoft Azure.
[*] Обновлен список голосов для Yandex SpeechKit.


31.01.2023     v2.15.0.834
[+] Небольшие улучшения.
[-] Исправлено использование системы проверки орфографии Aspell.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


13.01.2023     v2.15.0.833
[+] Небольшие улучшения.
[-] Исправлено использование Microsoft Azure.
[*] Обновлена функция слежения за буфером обмена.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


10.12.2022     v2.15.0.832
[-] Исправлено извлечение текста из файлов формата EPUB.
[-] Удалена настройка "Закрепить программу на панели задач" из инсталлятора.
[*] Обновлен метод деления текста на части.
[*] Обновлены болгарские, испанские, немецкие, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Регине Мюллер и Томашу Громадке).


03.12.2022     v2.15.0.831
[+] Добавлено использование SaluteSpeech (онлайн-сервиса СберБанка для некоммерческих проектов).
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


26.11.2022     v2.15.0.830
[+] Добавлено использование Viettel Text-To-Speech.
[+] Небольшие улучшения.
[*] Обновлено использование Microsoft Azure.
[-] Сервис Tinkoff VoiceKit больше не используется. Подробности здесь: https://mytts-info.ucoz.net/forum/56-160-1


12.11.2022     v2.15.0.829
[*] Обновлено использование Microsoft Azure.


16.10.2022     v2.15.0.828
[-] Исправлено использование Baidu Text-To-Speech.


10.10.2022     v2.15.0.827
[-] Исправлено использование IBM Watson Text-To-Speech.


02.10.2022     v2.15.0.826
[-] Исправлены мелкие ошибки.
[*] Обновлены китайские, словацкие и чешские языковые ресурсы (спасибо Анану и Томашу Громадке).


18.09.2022     v2.15.0.825
[-] Исправлено извлечение текста из файлов форматов EPUB и LIT.
[-] Исправлены мелкие ошибки.
[*] Обновлено перетаскивание текста с помощью мыши.


13.08.2022     v2.15.0.824
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские и словенские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Йожефу Грегорцу).


30.07.2022     v2.15.0.823
[-] Исправлено использование онлайн-сервиса перевода PROMT.One.
[*] Обновлен перевод субтитров.


23.07.2022     v2.15.0.822
[-] Исправлены мелкие ошибки.
[*] Обновлены испанские и словенские языковые ресурсы (спасибо Фернандо Грегойре и Йожефу Грегорцу).


02.07.2022     v2.15.0.821
[-] Исправлено использование Naver Text-To-Speech.
[*] Обновлено использование Yandex SpeechKit.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


25.06.2022     v2.15.0.820
[+] Добавлена новая настройка для функции слежения за буфером обмена.
[+] Добавлено глобальное сочетание клавиш "Перейти к началу текста".
[*] Обновлено использование Microsoft Azure.


11.06.2022     v2.15.0.819
[-] Исправлены мелкие ошибки.
[*] Обновлено использование Yandex SpeechKit.
[*] Обновлены испанские, китайские, словацкие и чешские языковые ресурсы (спасибо Фернандо Грегойре, Анану и Томашу Громадке).


04.05.2022     v2.15.0.818
[+] Добавлено использование FPT.AI Text-To-Speech.
[-] Исправлена загрузка субтитров с сервера YouTube.
[-] Исправлены мелкие ошибки.
[*] Обновлены испанские и немецкие языковые ресурсы (спасибо Фернандо Грегойре и Регине Мюллер).


20.04.2022     v2.15.0.817
[-] Исправлено сохранение звуковых файлов для онлайн-сервисов синтеза речи.
[*] Обновлены болгарские и французские языковые ресурсы (спасибо Костадину Колеву и Мишелю Сюш).


16.04.2022     v2.15.0.816
[+] Добавлено использование Tinkoff VoiceKit.
[+] Небольшие улучшения.
[-] Сервис VS Robotics Text-To-Speech больше не используется.
[*] Утилита FFmpeg используется в качестве временного решения.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


02.04.2022     v2.15.0.815
[-] Исправлено использование Yandex SpeechKit.
[*] Обновлено использование Microsoft Azure.


26.03.2022     v2.15.0.814
[*] Обновлено использование Microsoft Azure.
[*] Обновлены испанские языковые ресурсы (спасибо Фернандо Грегойре).


12.03.2022     v2.15.0.813
[+] Небольшие улучшения.
[*] Обновлены болгарские, китайские, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву, Анану и Томашу Громадке).


19.02.2022     v2.15.0.812
[*] Обновлено использование Yandex SpeechKit.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


05.02.2022     v2.15.0.811
[+] Добавлена поддержка сервиса перевода Iciba Translate.
[-] Сервис Baidu Translate больше не используется.


17.01.2022     v2.15.0.810
[+] Добавлена настройка "Длина пауз между предложениями" для Microsoft Azure.
[*] Обновлено использование Yandex SpeechKit.


06.01.2022     v2.15.0.809
[+] Небольшие улучшения.
[*] Обновлено использование Yandex SpeechKit.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


04.12.2021     v2.15.0.808
[-] Исправлено использование Yandex SpeechKit.
[*] Обновлены португальские языковые ресурсы (спасибо Мигелю Симосу).


27.11.2021     v2.15.0.807
[-] Удалены стандартные голоса из списка голосов для Microsoft Azure: поддержка стандартных голосов прекращена после 31 августа 2021 года.
[-] Исправлено использование Yandex SpeechKit.
[*] Обновлены китайские и словенские языковые ресурсы (спасибо Анану и Йожефу Грегорцу).


21.11.2021     v2.15.0.806
[-] Исправлено использование Yandex SpeechKit.


13.11.2021     v2.15.0.805
[*] Обновлено использование Microsoft Azure.
[*] Обновлены испанские языковые ресурсы (спасибо Фернандо Грегойре).


30.10.2021     v2.15.0.804
[*] Обновлена поддержка SpeechPro Text-To-Speech.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


24.10.2021     v2.15.0.803
[-] Исправлено использование SSML для Microsoft Azure.
[*] Обновлено использование Microsoft Azure.
[*] Обновлены болгарские, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву и Томашу Громадке).


06.10.2021     v2.15.0.802
[+] Небольшие улучшения.
[*] Обновлена настройка "Создать один файл аудиокниги с разбиением на части" в окнах "Разделить текст на части и преобразовать в аудиофайлы" и "Преобразовать в аудиофайлы": добавлена поддержка формата MP3. Программа может создавать файлы формата MP3 с тегами ID3 для разбиения на главы.
[*] Обновлены иконки меню.
[*] Обновлены болгарские, испанские, немецкие и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Регине Мюллер и Мишелю Сюш).


25.09.2021     v2.15.0.801
[*] Улучшено использование сервисов перевода.
[*] Если онлайн-сервис не может преобразовать текущее предложение в речь и не возвращает аудиоданные, то вместо этого в звуковой файл будет вставлена тишина.
[*] Добавлены новые настройки для функции слежения за буфером обмена.
[*] Обновлены болгарские, испанские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Анану).


16.09.2021     v2.15.0.800
[+] Добавлен просмотр истории действий (пункт главного меню "История действий").
[+] Добавлена настройка "Воспроизвести звуковой файл, когда он будет готов" для онлайн-сервисов синтеза речи.
[+] Добавлена возможность перетаскивания текста и файлов на "плавающее" окно.
[-] Исправлено использование онлайн-сервиса перевода PROMT.One.
[-] Исправлено "плавающее" окно.
[*] Обновлено преобразование аудиоданных в формат MP3: значение битрейта больше не используется для VBR.
[*] Обновлены словацкие и чешские языковые ресурсы (спасибо Томашу Громадке).


11.09.2021     v2.15.0.799
[*] Обновлено использование Microsoft Azure и Yandex SpeechKit.
[*] Обновлены болгарские, испанские и немецкие языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Регине Мюллер).


04.09.2021     v2.15.0.798
[+] Добавлены настройки для звуковых сигналов (окно "Аудиофайлы", вкладка "Звуки").
[+] Добавлена настройка "Автоматически увеличивать скорость речи" для преобразования субтитров в звуковые файлы с помощью онлайн-сервисов синтеза речи.
[*] Обновлен установщик программного продукта "Балаболка".
[*] Обновлены венгерские и немецкие языковые ресурсы (спасибо Золтану Мадьяру и Регине Мюллер).


23.08.2021     v2.15.0.797
[+] Добавлена поддержка VS Robotics Text-To-Speech (только для тестовых целей).
[-] Исправлено сохранение именованных закладок.
[*] Обновлено выделение текста во время чтения вслух (если применяются правила для коррекции произношения).
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


18.08.2021     v2.15.0.796
[+] Добавлено чтение предложений при наборе текста на клавиатуре (окно "Общие настройки", вкладка "Общие").
[+] Добавлена кнопка "Открыть все варианты перевода" в окно перевода.
[+] Добавлена настройка "Изменить шрифт в программе" (окно "Общие настройки", вкладка "Вид").
[*] Обновлена поддержка SpeechPro Text-To-Speech.
[*] Если в окне для перевода находится содержимое файла формата SRT, текст будет переведен с сохранением форматирования субтитров.
[-] Исправлена проблема с использованием "шкурок" (тем оформления).
[*] Обновлены испанские, немецкие, сербские и словенские языковые ресурсы (спасибо Фернандо Грегойре, Регине Мюллер, Градимиру Крагичу и Йожефу Грегорцу).


07.08.2021     v2.15.0.795
[+] Добавлена поддержка сервиса перевода Sogou Translate.
[*] Уменьшены паузы между предложениями для Google Text-To-Speech.
[*] Обновлены болгарские, венгерские, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру и Томашу Громадке).


31.07.2021     v2.15.0.794
[+] Добавлены новые настройки в окно перевода.
[-] Исправлена поддержка сервисов перевода Naver Papago и Reverso.
[-] Исправлено использование Naver Text-To-Speech.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские и словенские языковые ресурсы (спасибо Костадину Колеву и Йожефу Грегорцу).


24.07.2021     v2.15.0.793
[+] Добавлено использование IBM Watson Language Translator и PROMT.One.
[+] Добавлена кнопка "Извлечь текст и сохранить как текстовые файлы" в окно "Преобразовать в аудиофайлы".
[-] Исправлены минимизация/восстановление окна программы, когда окно использования онлайн-сервисов синтеза речи открыто.
[*] Обновлено использование сервиса Baidu Translate.
[*] Обновлены болгарские, испанские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Анану).


18.07.2021     v2.15.0.792
[*] Обновлена поддержка Amazon Polly.
[*] Улучшена возможность перетаскивания текстовых файлов.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


10.07.2021     v2.15.0.791
[+] Добавлена поддержка Microsoft Azure (только для тестовых целей).
[-] Исправлено использование IBM Watson Text-To-Speech.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


03.07.2021     v2.15.0.790
[+] Добавлена настройка "Показывать предложение целиком" в редактор словаря омографов (вкладка "Искать омографы в тексте").
[-] Исправлена поддержка Naver Text-To-Speech.
[-] Исправлено использование Microsoft Translator.


19.06.2021     v2.15.0.789
[-] Исправлено использование онлайн-сервисов для синтеза речи.


18.06.2021     v2.15.0.788
[+] Добавлена поддержка Amazon Polly (только для тестовых целей).
[*] Обновлен список голосов для Google Cloud Text-To-Speech.
[*] Обновлены болгарские, испанские и польские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Мартину Козелу).


10.06.2021     v2.15.0.787
[+] Добавлена поддержка сервиса перевода Reverso.
[+] Добавлена настройка "Подать звуковой сигнал" для функции слежения за буфером обмена.
[-] Исправлено использование Yandex SpeechKit.


31.05.2021     v2.15.0.786
[-] Исправлено использование онлайн-сервисов перевода.


25.05.2021     v2.15.0.785
[+] Добавлена настройка "Использовать функцию "Прикрепление" (Aero Snap) в Windows 10". (Aero Snap ухудшает поведение программы при сворачивании/восстановлении окна.)
[-] Исправлено использование внешних звуковых файлов (аудиоклипов).


23.05.2021     v2.15.0.784
[+] Небольшие улучшения.
[*] Обновлена поддержка SpeechPro Text-To-Speech.
[*] Обновлены итальянские и китайские языковые ресурсы (спасибо Анану).


13.05.2021     v2.15.0.783
[*] Обновлено сохранение звуковых файлов.
[*] Обновлено преобразование субтитров в звуковые файлы.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


06.05.2021     v2.15.0.782
[+] Добавлена настройка "Разбить текст на абзацы" для файлов формата LRC (окно "Аудиофайлы", вкладка "Субтитры"). По умолчанию в строках LRC-файла хранятся отдельные предложения.
[-] Исправлены минимизация/восстановление окна программы.
[-] Исправлено создание субтитров.
[*] Обновлены болгарские, венгерские, испанские, словацкие и чешские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре и Томашу Громадке).


16.04.2021     v2.15.0.781
[+] Добавлены настройки для извлечения таблиц из файлов форматов DOCX/FB2/FB3/ODT (окно "Настройки импорта текста", вкладка "Извлечение текста из файлов").
[*] Обновлено извлечение текста из файлов форматов DOCX/FB2/FB3/HTML/ODT.
[*] Обновлены китайские и турецкие языковые ресурсы (спасибо Анану и Феттаху Пинару).


11.04.2021     v2.15.0.780
[+] Небольшие улучшения.


08.04.2021     v2.15.0.779
[+] Небольшие улучшения.
[*] Обновлено преобразование субтитров в речь для SAPI 4.
[*] Методы HTTP-запросов были обновлены.
[*] Обновлены болгарские и немецкие языковые ресурсы (спасибо Костадину Колеву и Регине Мюллер).


30.03.2021     v2.15.0.778
[-] Исправлены минимизация/восстановление окна программы.
[*] Обновлена поддержка Google Cloud Text-To-Speech.
[*] Файлы формата Opus, полученные от онлайн-сервисов синтеза речи, будут преобразованы в звуковые файлы с частотой дискретизации 24 КГц (вместо 48 КГц по умолчанию).
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


25.03.2021     v2.15.0.777
[+] Добавлена поддержка Naver Text-To-Speech (только для тестовых целей).
[+] Добавлена поддержка сервиса перевода Naver Papago.
[+] Добавлена настройка "Стерео" для Yandex SpeechKit (это позволит записывать реплики поочередно для левого и правого каналов в звуковом файле, для имитации диалога двух человек).
[-] Отключено использование Online TTS.
[*] Обновлены болгарские и китайские языковые ресурсы (спасибо Костадину Колеву и Анану).


20.03.2021     v2.15.0.776
[+] Добавлены настройки "Вставить пустые строки после предложений" и "Вставить пустые строки после абзацев" для файлов формата LRC (окно "Аудиофайлы", вкладка "Субтитры").
[+] Добавлено распознавание кодировки для файлов форматов LRC и SRT (окно "Преобразовать субтитры в звуковые файлы").
[-] Исправлены мелкие ошибки.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


10.03.2021     v2.15.0.775
[+] Небольшие улучшения.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


06.03.2021     v2.15.0.774
[+] Добавлена возможность сохранения текста в формате LRC внутри тега USLT в файлах формата MP3 (это позволит отображать текст синхронно с речью в аудиоплеере AIMP).
[-] Исправлена загрузка субтитров с сервера YouTube.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


27.02.2021     v2.15.0.773
[+] Добавлена настройка "Восстановить предложения, которые поделены на части" для преобразования субтитров в речь.
[-] Исправлен поиск имен в тексте.
[*] Обновлены болгарские, испанские и словенские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Йожефу Грегорцу).


21.02.2021     v2.15.0.772
[+] Добавлена настройка громкости для SpeechPro Text-To-Speech.
[+] Добавлена настройка "Форматировать текст, вставленный из буфера обмена" (окно "Общие настройки", вкладка "Текст").
[*] Обновлена поддержка Online Text-To-Speech.


11.02.2021     v2.15.0.771
[+] Добавлена настройка громкости для Yandex SpeechKit.
[*] Обновлены болгарские, испанские и финские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Вейкко Муурикайнену).


06.02.2021     v2.15.0.770
[+] Добавлена настройка "Исправить паузы между предложениями при использовании Bluetooth-наушников" (окно "Общие настройки", вкладка "Чтение").
[*] Обновлены немецкие и чешские языковые ресурсы (спасибо Регине Мюллер и Томашу Громадке).


24.01.2021     v2.15.0.769
[+] Небольшие улучшения.


22.01.2021     v2.15.0.768
[*] Обновлено преобразование субтитров в звуковые файлы.
[-] Исправлено извлечение текста из файлов внутри архивов формата RAR.
[-] Исправлены мелкие ошибки.


05.01.2021     v2.15.0.767
[-] Исправлена поддержка SpeechPro Text-To-Speech.
[*] Обновлены французские языковые ресурсы (спасибо Мишелю Сюш).


27.12.2020     v2.15.0.766
[+] Добавлена поддержка архивных файлов формата 7-Zip.
[-] Исправлены мелкие ошибки.
[-] Библиотека UNRAR.DLL не используется.
[*] Обновлены итальянские языковые ресурсы (спасибо Массимо Кастилье).


17.12.2020     v2.15.0.765
[-] Исправлены мелкие ошибки.
[*] Обновлена поддержка SpeechPro Text-To-Speech.
[*] Обновлены испанские и китайские языковые ресурсы (спасибо Фернандо Грегойре и Анану).


13.12.2020     v2.15.0.764
[-] Исправлено использование онлайн-сервисов для синтеза речи.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


12.12.2020     v2.15.0.763
[+] В окно "Извлечь текст из файлов" добавлена возможность поиска файлов в подкаталогах.
[-] Исправлено использование Yandex SpeechKit.


10.12.2020     v2.15.0.762
[-] Исправлено использование Yandex SpeechKit и Youdao Text-To-Speech.


08.12.2020     v2.15.0.761
[-] Исправлено использование Youdao Text-To-Speech.
[+] Небольшие улучшения.
[*] Обновлены болгарские, венгерские, испанские и немецкие языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре и Регине Мюллер).


28.11.2020     v2.15.0.760
[+] Добавлена настройка "Игнорировать URL-адреса" (окно "Общие настройки", вкладка "Игнорировать текст").
[-] Исправлено создание субтитров.
[*] Обновлены болгарские, испанские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Анану).


22.11.2020     v2.15.0.759
[+] Добавлен пункт главного меню "Просмотр текста субтитров".
[*] Обновлено использование IBM Watson Text-To-Speech.
[*] Если в "Балаболке" был открыт архивный файл формата RAR или ZIP и пользователь намерен сохранить измененный текст, программа предложит использовать в качестве имени нового файла не имя архива, а название документа, извлеченного из архивного файла.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


15.11.2020     v2.15.0.758
[-] Исправлено использование Google Cloud Text-To-Speech.


09.11.2020     v2.15.0.757
[-] В окне чтения по методу Spritz исправлен скроллинг текста.
[-] Исправлены мелкие ошибки.
[*] Обновлены испанские и чешские языковые ресурсы (спасибо Фернандо Грегойре и Томашу Громадке).


10.10.2020     v2.15.0.756
[-] Исправлены мелкие ошибки.
[*] Улучшена совместимость с программами экранного доступа.
[*] Обновлены болгарские, венгерские и испанские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру и Фернандо Грегойре).


04.10.2020     v2.15.0.755
[+] Добавлены настройки синтаксиса тегов с фонетическими транскрипциями (окно "Настройки", вкладка "Правила", раздел "Применение фонетической транскрипции").
[+] Небольшие улучшения.
[*] Обновлено использование Yandex SpeechKit.
[*] Обновлены болгарские, венгерские и немецкие языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру и Регине Мюллер).


26.09.2020     v2.15.0.754
[+] Добавлена настройка "Во время чтения вслух записывать текущее предложение в файл" (окно "Настройки", вкладка "Трансляция"). Это позволит показывать субтитры синхронно с речью в программах для потокового вещания и записи видео.
[-] Исправлены мелкие ошибки.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


17.09.2020     v2.15.0.753
[-] Исправлен запуск программы в свёрнутом виде.
[-] Убраны настройки "Выравнивать главное окно программы относительно границы экрана при перемещении" и "Использовать функцию "Прикрепление" (Aero Snap) в Windows 10".
[-] Исправлены мелкие ошибки.
[*] Обновлены кодеки Ogg Vorbis и Opus.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


13.09.2020     v2.15.0.752
[+] Добавлены кнопка "Вставить фонемы (IPA)" и поддержка тега PHONEME в окно "Вставить тег XML". (Голоса IVONA поддерживают тег PHONEME и не поддерживают тег PRON.)
[+] Добавлена поддержка фонетической транскрипции IPA для словарей формата BXD.
[-] В окне чтения по методу Spritz исправлено деление на слоги для немецкого языка.
[-] Убрано использование API-ключа для сервиса "Яндекс.Переводчик". (С 15 августа 2020 года "Яндекс" закрыл доступ к бесплатному API "Яндекс.Переводчика".)
[*] Обновлен кодек LAME.
[*] Обновлены немецкие и чешские языковые ресурсы (спасибо Регине Мюллер и Томашу Громадке).


15.08.2020     v2.15.0.751
[-] Исправлены мелкие ошибки.
[*] Обновлены итальянские и турецкие языковые ресурсы (спасибо Массимо Кастилье и Чагры Догану).


01.08.2020     v2.15.0.750
[+] Небольшие улучшения.
[-] Исправлена ошибка в окне "Найти/Заменить" (спасибо Томашу Громадке из компании "Adaptech").
[-] Исправлено слежение за буфером обмена.
[*] Обновлены болгарские, испанские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Анану).


18.07.2020     v2.15.0.749
[+] При копировании выделенного текста именованные закладки также копируются в буфер обмен.
[+] Добавлена настройка "Копировать выделенный текст перед чтением содержимого буфера обмена вслух" (для небольшого "плавающего" окна).
[+] Добавлена настройка "Заменить <угловые скобки> на кавычки" для форматирования текста.


06.07.2020     v2.15.0.748
[-] Исправлено использование Yandex SpeechKit.
[*] Обновлены венгерские и испанские языковые ресурсы (спасибо Золтану Мадьяру и Фернандо Грегойре).


04.07.2020     v2.15.0.747
[*] Улучшен поиск имен в тексте.
[-] Исправлена обработка ситуаций, когда выходное аудиоустройство было изменено.
[*] Обновлены болгарские и китайские языковые ресурсы (спасибо Костадину Колеву и Анану).


30.06.2020     v2.15.0.746
[+] Добавлена поддержка формата LRC для преобразования субтитров в звуковые файлы.
[+] Добавлен пункт главного меню "Скачать субтитры".
[+] Добавлена настройка "Не показывать слова из словарей (частичное совпадение)" в окно "Найти имена в тексте".
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


30.05.2020     v2.15.0.745
[+] Добавлена поддержка формата WebVTT для преобразования субтитров в звуковые файлы.
[-] Исправлено использование сервиса Baidu Translate.
[-] Исправлены мелкие ошибки.
[*] Обновлена обработка параметров командной строки.
[*] По умолчанию извлечение аннотации из файлов форматов FB2 и FB3 отключено.
[*] Пункт главного меню "Открыть заново" загружает заново содержимое документа, уже открытого в программе.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


23.05.2020     v2.15.0.744
[*] Обновлено извлечение текста из файлов формата EPUB.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


16.05.2020     v2.15.0.743
[+] Для чтения иностранных слов могут быть использованы универсальные теги (окно "Добавить теги для чтения иностранных слов").
[+] Для чтения прямой речи могут быть использованы универсальные теги (окно "Добавить теги для чтения прямой речи").
[-] Исправлено использование SAPI 5.1 в Windows 7.
[*] Обновлены венгерские, словацкие и чешские языковые ресурсы (спасибо Золтану Мадьяру и Томашу Громадке).


10.05.2020     v2.15.0.742
[-] Исправлено применение правил из словарей формата BXD.
[*] Обновлено использование IBM Watson Text-To-Speech.
[*] Для извлечения текста из старых документов, созданных в Microsoft Word 6.0/95, используется текстовый редактор LibreOffice Writer (если офисный пакет LibreOffice установлен на компьютере).
[*] Обновлены болгарские, китайские, португальские и сербские языковые ресурсы (спасибо Костадину Колеву, Анану, Мигелю Симосу и Градимиру Крагичу).


02.05.2020     v2.15.0.741
[+] Небольшие улучшения.
[*] Обновлены испанские, сербские и словенские языковые ресурсы (спасибо Фернандо Грегойре, Градимиру Крагичу и Йожефу Грегорцу).


16.04.2020     v2.15.0.740
[-] Исправлено извлечение текста из файлов формата FB2.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


12.04.2020     v2.15.0.739
[+] Добавлена поддержка SpeechPro Text-To-Speech, разработанного Центром речевых технологий (только для тестовых целей).
[*] Обновлены венгерские, итальянские и сербские языковые ресурсы (спасибо Золтану Мадьяру, Массимо Кастилье и Градимиру Крагичу).


05.04.2020     v2.15.0.738
[+] Добавлена поддержка аудиоформата OPUS.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


29.03.2020     v2.15.0.737
[+] Добавлена настройка "Искать римские числа" в окно "Заменить числа словами".


21.03.2020     v2.15.0.736
[-] Исправлены мелкие ошибки.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


14.03.2020     v2.15.0.735
[-] Исправлены мелкие ошибки.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


09.03.2020     v2.15.0.734
[+] Добавлена поддержка Google Cloud Text-To-Speech (только для тестовых целей).
[+] Добавлен пункт главного меню "Повторять в цикле".
[+] Добавлены новые языки для сервиса Google Translate.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


01.03.2020     v2.15.0.733
[+] Добавлена настройка "Кодировка текста в тегах ID3v2 для звуковых файлов формата MP3".
[+] Добавлены новые языки для сервиса Microsoft Translator.
[-] Исправлено использование сервиса Baidu Translate.
[-] Исправлено извлечение текста из файлов формата EPUB.
[-] Исправлено применение регулярных выражений к текстам на немецком языке.
[*] Обновлены венгерские языковые ресурсы (спасибо Золтану Мадьяру).


23.02.2020     v2.15.0.732
[-] Исправлено использование файлов форматов BXT/BXZ.
[-] Исправлено выделение текста в редакторе.
[-] Исправлены мелкие ошибки.
[*] Обновлен кодек LAME.
[*] Обновлены китайские и французские языковые ресурсы (спасибо Анану и Мишелю Сюш).


08.02.2020     v2.15.0.731
[+] Небольшие улучшения.


03.02.2020     v2.15.0.730
[-] Исправлено слежение за буфером обмена.
[-] Исправлено применение глобального сочетания клавиш "Вставить текст из буфера обмена".
[-] Исправлено использование Yandex SpeechKit.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


25.01.2020     v2.15.0.729
[+] Добавлены настройки "Удалить текст внутри <угловых скобок>, кроме тегов SAPI" и "Игнорировать текст внутри <угловых скобок>, кроме тегов SAPI" (окно "Настройки").
[+] Добавлено глобальное сочетание клавиш "Минимизировать/восстановить окно программы".
[+] Добавлены новые настройки для глобального сочетания клавиш "Вставить текст из буфера обмена".
[-] Исправлены мелкие ошибки.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


08.01.2020     v2.15.0.728
[+] Добавлено распознавание типа документа для файлов с неизвестными расширениями.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


03.01.2020     v2.15.0.727
[+] Добавлена возможность чтения текста с начала предложения (окно "Настройки", вкладка "Общие").
[*] Обновлена загрузка текстовых файлов при запуске программы.
[*] Обновлены венгерские языковые ресурсы (спасибо Золтану Мадьяру).


29.12.2019     v2.15.0.726
[+] Добавлена возможность использования тега {{Voice}} для изменения голоса и его параметров во время чтения.
[-] Исправлено извлечение текста для файлов в формате Markdown.


25.12.2019     v2.15.0.725
[-] Исправлено использование SAPI 5.1 на Windows XP.
[-] Исправлены мелкие ошибки.
[*] Обновлены испанские языковые ресурсы (спасибо Фернандо Грегойре).


20.12.2019     v2.15.0.724
[+] Добавлено извлечение текста для файлов в формате Markdown (*.MD).
[-] Исправлено изменение формата аудиопотока для голосов.
[-] Исправлен просмотр иллюстраций в формате JPEG.
[*] Обновлены болгарские и словенские языковые ресурсы (спасибо Костадину Колеву и Йожефу Грегорцу).


15.12.2019     v2.15.0.723
[*] Обновлено извлечение текста из файлов форматов FB2 и FB3.
[*] Обновлены испанские и китайские языковые ресурсы (спасибо Фернандо Грегойре и Анану).


07.12.2019     v2.15.0.722
[-] Исправлено добавление тега ID3v2 для файлов формата MP3.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


21.11.2019     v2.15.0.721
[+] Небольшие улучшения.
[*] Обновлены болгарские и венгерские языковые ресурсы (спасибо Костадину Колеву и Золтану Мадьяру).


16.11.2019     v2.15.0.720
[+] Добавлены настройки для вставки текста в сноски и примечания при извлечении данных из файлов форматов DOCX, FB2, FB3 и ODT (окно "Импорт текста", вкладка "Извлечение текста из файлов").
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


09.11.2019     v2.15.0.719
[+] Небольшие улучшения.
[*] Обновлены испанские и корейские языковые ресурсы (спасибо Фернандо Грегойре и Парк Сун Хвану).


02.11.2019     v2.15.0.718
[*] Обновлен список голосов, доступных для Yandex SpeechKit.
[*] Обновлены французские языковые ресурсы (спасибо Мишелю Сюш).


29.10.2019     v2.15.0.717
[+] Если текст был изменен, в заголовке окна к имени файла добавляется символ маркера.
[-] Исправлена ошибка в форматировании текста.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


27.10.2019     v2.15.0.716
[+] В окне со списком именованных закладок можно выбрать и удалить более одной закладки.
[-] Исправлено изменение позиций закладок при редактировании текста.
[-] Исправлена поддержка режимов с высоким контрастом в Windows.


10.10.2019     v2.15.0.715
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские и китайские языковые ресурсы (спасибо Костадину Колеву и Анану).


05.10.2019     v2.15.0.714
[-] Исправлена работа пункта главного меню "Отменить".
[*] Обновлен кодек LAME.
[*] Обновлены болгарские, венгерские, испанские и турецкие языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре и Чагры Догану).


21.09.2019     v2.15.0.713
[+] Добавлена настройка "Использовать пользовательскую папку для хранения временных звуковых файлов".
[+] Добавлен пункт главного меню "Удалить все".
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


16.09.2019     v2.15.0.712
[-] Исправлено извлечение текста из файлов форматов EPUB, HTML и MHT.


07.09.2019     v2.15.0.711
[*] Обновлено использование Yandex SpeechKit.


01.09.2019     v2.15.0.710
[*] Обновлено использование IBM Watson Text-To-Speech.
[+] Небольшие улучшения.


22.08.2019     v2.15.0.709
[-] Исправлена работа пункта главного меню "Отменить".
[*] Обновлено использование Yandex SpeechKit.
[*] Обновлены болгарские, венгерские и французские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру и Мишелю Сюш).


02.08.2019     v2.15.0.708
[+] Сервис Microsoft Translator вновь используется (добавлена поддержка версии 3).
[+] Небольшие улучшения.
[*] Обновлены болгарские, венгерские, испанские, китайские и португальские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре, Анану и Мигелю Симосу).


27.07.2019     v2.15.0.707
[+] Добавлен пункт главного меню "Сохранить аудиофайлы (не показывать окно)".
[*] Обновлен кодек LAME.
[+] Небольшие улучшения.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


20.07.2019     v2.15.0.706
[+] Сервис Baidu Translate вновь используется (добавлена поддержка версии 2).
[+] Добавлено использование API-ключа для Yandex.Translate.
[-] Сервисы Microsoft Translator и Bing TTS больше не используются (бесплатный сервис был отключен Microsoft).
[+] Небольшие улучшения.
[*] Обновлены испанские языковые ресурсы (спасибо Фернандо Грегойре).


06.07.2019     v2.15.0.705
[*] Обновлен кодек LAME.
[-] Сервис Baidu Translate больше не используется (версия 1 сервиса была отключена Baidu).
[*] Обновлены болгарские, венгерские и словенские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру и Йожефу Грегорцу).


22.06.2019     v2.15.0.704
[+] Добавлена настройка "Прятать область вкладок с именами файлов" для полноэкранного режима.
[+] Добавлена поддержка IBM Watson Text-To-Speech (только для тестовых целей).
[+] Добавлены языковые ресурсы для словацкого языка (спасибо Иржи Фенцу).
[*] Обновлены немецкие и чешские языковые ресурсы (спасибо Регине Мюллер и Иржи Фенцу).


08.06.2019     v2.15.0.703
[-] Снижена нагрузка на память.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


01.06.2019     v2.15.0.702
[+] Добавлена настройка для глобального сочетания клавиш "Прочитать текст из буфера обмена": "Нажать для начала чтения, повторно нажать, чтобы приостановить".
[+] Добавлен пункт главного меню "Удалить".
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские и турецкие языковые ресурсы (спасибо Костадину Колеву и Чагры Догану).


25.05.2019     v2.15.0.701
[+] Небольшие улучшения.
[*] Обновлены китайские, корейские, французские и чешские языковые ресурсы (спасибо Анану, Парк Сун Хвану, Мишелю Сюш и Иржи Фенцу).


15.05.2019     v2.15.0.700
[+] Добавлена поддержка Youdao Text-To-Speech (только для тестовых целей).


12.05.2019     v2.15.0.699
[-] Исправлено сохранение звуковых файлов в тех случаях, когда выходное аудиоустройство отсутствует.
[*] Обновлены болгарские, испанские, словенские и немецкие языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Йожефу Грегорцу и Регине Мюллер).


20.04.2019     v2.15.0.698
[+] Добавлена настройка для пауз между предложениями при чтении по методу Spritz.
[-] Удалена настройка "Минимальный размер части текста" для разбиения текста.
[*] Обновлен список голосов для Yandex SpeechKit.


15.04.2019     v2.15.0.697
[+] Небольшие улучшения.
[*] Обновлены испанские языковые ресурсы (спасибо Фернандо Грегойре).


07.04.2019     v2.15.0.696
[-] Исправлено использование других аудиокодеков.
[+] Небольшие улучшения.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


03.04.2019     v2.15.0.695
[+] Добавлено преобразование субтитров в звуковые файлы для онлайн-сервисов синтеза речи.
[-] Исправлено преобразование субтитров в звуковые файлы для файлов формата SMI.
[*] Обновлены болгарские, венгерские, китайские, корейские и чешские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Анану, Парк Сун Хвану и Иржи Фенцу).


31.03.2019     v2.15.0.694
[+] Добавлены пункты контекстного меню "Вставить аудиоклип" и "Вставить паузу" для онлайн-сервисов синтеза речи.
[*] Обновлены немецкие, португальские и чешские языковые ресурсы (спасибо Регине Мюллер, Мигелю Симосу и Иржи Фенцу).


24.03.2019     v2.15.0.693
[*] Улучшена совместимость с программами экранного доступа.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


22.03.2019     v2.15.0.692
[+] Добавлена кнопка "Сменить язык" для онлайн-сервисов синтеза речи.
[*] Обновлено извлечение текста из файлов форматов DOCX, CHM, EPUB, HTML, ODP, ODT и PPTX.
[-] Исправлено извлечение текста из файлов формата CHM.
[*] Обновлены болгарские, венгерские, испанские, китайские, немецкие, словенские и французские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре, Анану, Регине Мюллер, Йожефу Грегорцу и Мишелю Сюш).


10.03.2019     v2.15.0.691
[+] Добавлена поддержка Baidu Translate.
[+] Добавлена настройка "Минимальный размер части текста" для разбиения текста. Значение должно быть задано как количество символов (а не как количество килобайтов).
[+] Небольшие улучшения.
[*] Обновлены польские и словенские языковые ресурсы (спасибо Сташеку Фрелингу и Йожефу Грегорцу).


03.03.2019     v2.15.0.690
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские и корейские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Парк Сун Хвану).


02.03.2019     v2.15.0.689
[+] Добавлено пакетное преобразование текстовых файлов в аудиофайлы при помощи онлайн-сервисов синтеза речи.
[*] Обновлен кодек LAME.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские и китайские языковые ресурсы (спасибо Костадину Колеву и Анану).


23.02.2019     v2.15.0.688
[+] Добавлена настройка "Запускать программу при входе в систему".
[+] Добавлены настройки для игнорирования текста внутри скобок.
[+] Добавлена настройка "Добавить точку, если в конце абзаца нет знака препинания".
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


16.02.2019     v2.15.0.687
[+] Добавлена поддержка Baidu Text-To-Speech и Bing Text-To-Speech (только для тестовых целей).
[+] Добавлена поддержка Microsoft Translator и Yandex.Translate.
[+] Добавлены настройки для чередования исходного и переведённого текста.
[*] Обновлены болгарские, корейские, немецкие и словенские языковые ресурсы (спасибо Костадину Колеву, Парк Сун Хвану, Регине Мюллер и Йожефу Грегорцу).


09.02.2019     v2.15.0.686
[+] Добавлена поддержка собственного формата *.BXZ (документы "Балаболки", сжатые в ZIP-архивы).
[+] Добавлено извлечение текста из файлов формата ODP (OpenDocument Presentation).
[+] Небольшие улучшения.
[*] Обновлено извлечение текста из файлов формата PPT.
[*] Обновлены настройки импорта текста: встроенный конвертер всегда используется для извлечения текста из документов.
[*] Обновлены болгарские, венгерские и испанские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру и Фернандо Грегойре).


02.02.2019     v2.14.0.685
[+] Добавлено извлечение текста из файлов форматов PPT и PPTX.
[+] Добавлен тег LANG для смены языка при использовании Google TTS. Например: Это русский текст. {{lang=en}}Here is an English text.
[*] Улучшено распознавание кодировки для текстовых файлов, открываемых в программе.
[-] Исправлено редактирование комбинаций клавиш для пунктов меню.
[*] Обновлены болгарские, испанские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Мишелю Сюш).


26.01.2019     v2.14.0.684
[*] Обновлено окно "Найти/Заменить".
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


19.01.2019     v2.14.0.683
[+] Небольшие улучшения.
[*] Обновлены арабские, болгарские и корейские языковые ресурсы (спасибо Маджиду аль-Асири, Костадину Колеву и Парк Сун Хвану).


21.12.2018     v2.14.0.682
[+] Добавлена настройка "Удалить текст внутри круглых скобок" для форматирования текста.
[*] Улучшена совместимость с программным продуктом Safe Exam Browser.
[*] Обновлены венгерские, корейские, немецкие, турецкие и чешские языковые ресурсы (спасибо Золтану Мадьяру, Парк Сун Хвану, Регине Мюллер, Чагры Догану и Иржи Фенцу).


08.12.2018     v2.14.0.681
[*] Приложение сохраняет файлы формата BXT с заголовком BOM.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Анану).


01.12.2018     v2.14.0.680
[+] Добавлена настройка для игнорирования комментариев во время чтения (однострочных и многострочных).
[*] Обновлены болгарские, испанские, словенские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Йожефу Грегорцу и Мишелю Сюш).


17.11.2018     v2.14.0.679
[+] Добавлена настройка "Удалить номера страниц" для форматирования текста.
[-] Исправлена ошибка при выходе из программы.
[*] Обновлены болгарские, венгерские и китайские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру и Анану).


10.11.2018     v2.14.0.678
[+] Добавлена поддержка Online Text-To-Speech и Yandex SpeechKit (только для тестовых целей).
[*] Обновлены итальянские, немецкие и чешские языковые ресурсы (спасибо Массимо Кастилье, Регине Мюллер и Иржи Фенцу).


02.11.2018     v2.14.0.677
[+] Добавлена поддержка формата FictionBook 3.0 (*.FB3).
[*] Обновлено извлечение текста из файлов формата FB2.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


21.10.2018     v2.14.0.676
[*] Обновлено извлечение графических файлов из документов (пункт главного меню "Файл|Иллюстрации").
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


15.10.2018     v2.14.0.675
[+] Обновлено окно "Статистика замен".
[*] Исправлено применение правил для коррекции произношения.
[-] Исправлены мелкие ошибки.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


12.10.2018     v2.14.0.674
[+] Небольшие улучшения.
[-] Исправлено извлечение текста из файлов формата EML.


08.10.2018     v2.14.0.673
[*] Обновлено применение правил для коррекции произношения.
[-] Исправлены мелкие ошибки.


07.10.2018     v2.14.0.672
[-] Исправлена ошибка при выходе из программы (на компьютерах с немецкими региональными установками Windows).
[*] Обновлены болгарские и венгерские языковые ресурсы (спасибо Костадину Колеву и Золтану Мадьяру).


06.10.2018     v2.14.0.671
[+] Добавлена настройка "Применить правила для коррекции произношения" в окно "Извлечь текст из файлов".
[*] Обновлено применение правил для пункта главного меню "Показать изменённый текст".
[*] Обновлены немецкие и чешские языковые ресурсы (спасибо Регине Мюллер и Иржи Фенцу).


21.09.2018     v2.14.0.670
[-] Исправлено извлечение текста из файлов формата DjVu.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


07.09.2018     v2.14.0.669
[*] Обновлен метод деления текста на части.
[*] Обновлены болгарские, испанские, китайские, турецкие и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Анану, Чагры Догану и Мишелю Сюш).


02.09.2018     v2.14.0.668
[+] Добавлены настройки для извлечения текста из файлов форматов DOCX, FB2 и ODT (окно "Импорт текста", вкладка "Настройки").
[*] Обновлено извлечение текста из файлов форматов DOCX, FB2 и ODT.
[+] Добавлен чешский файл справки (спасибо Иржи Фенцу).
[*] Обновлены болгарские, немецкие, словенские и чешские языковые ресурсы (спасибо Костадину Колеву, Регине Мюллер, Йожефу Грегорцу и Иржи Фенцу).


21.08.2018     v2.14.0.667
[+] Добавлена настройка "Игнорировать числа" в окно "Добавить теги для чтения иностранных слов": программа не будет использовать другой голос для чтения цифр внутри текста на иностранном языке. Например, при чтении фразы "Around the World in 80 Days" число "80" будет прочитано как "восемьдесят".
[*] Обновлен установщик программного продукта "Балаболка".
[*] Обновлена настройка "Заменить все" в окне "Заменить".
[*] Обновлены арабские, болгарские, венгерские, испанские и китайские языковые ресурсы (спасибо MFM Dawdeh, Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре и Анану).


30.07.2018     v2.13.0.666
[+] Добавлена настройка для исправления пауз в звуковых файлах при преобразовании субтитров (для голосов RHVoice или Nikolai). Если текущий голос не поддерживает полностью теги SAPI 5, можно использовать еще один синтезатор речи для добавления пауз в звуковой файл.
[+] Небольшие улучшения.
[-] Исправлено извлечение текста из файлов формата PDF.
[-] Исправлены мелкие ошибки.
[*] Обновлено сохранение звуковых файлов.
[*] Обновлены болгарские и немецкие языковые ресурсы (спасибо Костадину Колеву и Регине Мюллер).


23.07.2018     v2.12.0.665
[*] Обновлено удаление тегов из текста: если в главном окне выделен текст, приложение удалит теги только из выделенного текста.


19.07.2018     v2.12.0.664
[*] Обновлено окно "Преобразовать в аудиофайлы".
[*] Обновлены болгарские, венгерские, испанские, итальянские и китайские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре, Массимо Кастилье и Анану).


09.07.2018     v2.12.0.663
[+] Добавлена настройка "Эмулировать нажатие CTRL+A перед началом чтения" для глобальных сочетаний клавиш (окно "Общие настройки", вкладка "Сочетания клавиш").
[+] Добавлена настройка "Игнорировать копирование текста в буфер обмена для указанных программ" (окно "Общие настройки", вкладка "Буфер обмена"). Например, если требуется игнорировать текст в окне программы "Балаболка", необходимо добавить в список программ строку "balabolka.exe".
[+] Добавлено окно "Редактировать текст" для правки длинных правил в окне редактирования словарей формата BXD.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


30.06.2018     v2.12.0.662
[+] Добавлена возможность использования переменной %Header% для настройки "Создать один файл аудиокниги с разбиением на части (только для MPEG-4)" в окне "Разделить текст на части и преобразовать в аудиофайлы". Будут использоваться реальные названия глав книги (а не названия "Chapter 1", "Chapter 2", как было раньше).
[-] Исправлена статистика замен при применении правил для коррекции произношения.
[*] Обновлен кодек LAME.


20.06.2018     v2.12.0.661
[*] Улучшено распознавание кодировки для обычных текстовых файлов.
[*] Обновлены чешские языковые ресурсы (спасибо Иржи Фенцу).


02.06.2018     v2.12.0.660
[+] Добавлена возможность использования переменной %Header% в шаблоне для имени файла в окне "Разделить текст на части и преобразовать в аудиофайлы". При преобразовании документа в несколько звуковых файлов переменная будет заменяться именем ближайшей закладки (если текст разбит на части при помощи именованных закладок).


27.05.2018     v2.12.0.659
[*] Обновлено извлечение текста из файлов форматов AZW и MOBI.
[*] Улучшено форматирование текста.


19.05.2018     v2.12.0.658
[-] Исправлены мелкие ошибки.
[*] Обновлено извлечение текста из файлов формата PDF.
[*] Обновлены болгарские, китайские и турецкие языковые ресурсы (спасибо Костадину Колеву, Анану и Чагры Догану).


12.05.2018     v2.12.0.657
[*] Многострочный модификатор (PCRE_MULTILINE) используется по умолчанию в регулярных выражениях.
[*] Обновлены болгарские, венгерские, испанские и французские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре и Мишелю Сюш).


02.05.2018     v2.12.0.656
[+] Добавлены пункты главного меню "Перейти к следующей закладке" и "Перейти к предыдущей закладке".
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


27.04.2018     v2.12.0.655
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские и китайские языковые ресурсы (спасибо Костадину Колеву и Анану).


26.04.2018     v2.12.0.654
[*] Обновлены окна "Список используемых правил" и "Список омографов".
[*] Обновлена нумерация блоков при записи документа как несколько аудиофайлов (когда приложение вставляет номер блока в начало/конец звукового файла).
[*] Обновлено извлечение текста из файлов формата EPUB.
[*] Обновлены болгарские, испанские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Анану).


21.04.2018     v2.12.0.653
[+] Добавлен новый метод деления текста в окно "Разбить файл на части" - с использованием оглавления документа. Программа извлечет из электронной книги информацию о главах, чтобы поделить текст на части.
[-] Исправлена обработка ситуаций, когда все выходные аудиоустройства отключены.
[-] Исправлены мелкие ошибки.
[*] При открытии окна с именованными закладками будет выбрана закладка, ближайшая к текущей позиции в тексте.
[*] Обновлены болгарские и немецкие языковые ресурсы (спасибо Костадину Колеву и Регине Мюллер).


14.04.2018     v2.12.0.652
[+] Добавлен новый формат словарей для коррекции произношения. Формат BXD объединяет возможности форматов REX и DIC.
[+] Добавлена настройка "Добавить сноски и примечания внутрь текста" для документов в форматах DOCX, FB2 и ODT (окно "Импорт текста").
[-] Исправлен выбор выходного аудиоустройства в Windows 10 (при смене аудиоустройства по умолчанию).
[*] Обновлено извлечение текста из файлов форматов EPUB и FB2.
[*] Обновлены болгарские, венгерские, испанские, немецкие и словенские языковые ресурсы (спасибо Костадину Колеву, Золтану Мадьяру, Фернандо Грегойре, Регине Мюллер и Йожефу Грегорцу).


31.03.2018     v2.11.0.651
[+] Добавлена настройка "Извлечь аннотацию из файла" для документов в формате FB2 (окно "Импорт текста").
[*] Обновлено извлечение текста из файлов формата FB2.
[-] Исправлены мелкие ошибки.
[*] Обновлены китайские и немецкие языковые ресурсы (спасибо Анану и Регине Мюллер).


24.03.2018     v2.11.0.650
[+] Добавлено извлечение текста из файлов форматов FB2.ZIP и FBZ.
[*] Обновлены болгарские, испанские и словенские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Йожефу Грегорцу).


17.03.2018     v2.11.0.649
[+] Добавлена настройка "Убрать разрядку в словах" для форматирования текста (например: п р о б е л, _с_л_о_в_о).
[*] Обновлены словенские и французские языковые ресурсы (спасибо Йожефу Грегорцу и Мишелю Сюш).


24.02.2018     v2.11.0.648
[+] Добавлена новая опция: двойной щелчок левой кнопкой мыши по вкладке позволяет перейти к началу документа. Повторный двойной щелчок вернет пользователя к предыдущей позиции в тексте.
[+] Небольшие улучшения.
[-] Исправлено преобразование субтитров в звуковые файлы для голосов фирмы IVONA (когда скорость речи не равна 0). К сожалению, я так и не получил ответ от службы поддержки IVONA на свое сообщение об ошибке в работе голосов. Спасибо добрым людям: подсказали "хитрый" трюк для решения проблемы.
[*] Обновлены болгарские, испанские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Анану).


17.02.2018     v2.11.0.647
[+] Добавлена настройка "Создать один файл аудиокниги с разбиением на части (только для MPEG-4)" в окно "Преобразовать в аудиофайлы".
[*] Обновлены болгарские и венгерские языковые ресурсы (спасибо Костадину Колеву и Золтану Мадьяру).


10.02.2018     v2.11.0.646
[+] Добавлена кнопка "Вставить фонемы" в окно редактора для коррекции произношения. Она позволит задать набор фонем для атрибута SYM тега PRON.
[+] Добавлена кнопка "Вставить фонемы" и поддержка тега PRON в окно "Вставить тег XML".
[*] Обновлены испанские, итальянские и немецкие языковые ресурсы (спасибо Фернандо Грегойре, Массимо Кастилье и Регине Мюллер).


01.02.2018     v2.11.0.645
[+] Сайт программы "Балаболка" доступен по адресу http://balabolka-tts.ru.
[+] Небольшие улучшения.
[*] Обновлена информация в файлах справки.
[*] Обновлены венгерские и чешские языковые ресурсы (спасибо Золтану Мадьяру и Иржи Фенцу).


14.01.2018     v2.11.0.644
[-] Исправлена ошибка в "тихом удалении" приложения (когда используется ключ "-silent" в командной строке).
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские, итальянские и китайские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Массимо Кастилье и Анану).


04.01.2018     v2.11.0.643
[+] Добавлена настройка для выбора действия после извлечения текста из всех файлов в окно "Извлечь текст из файлов".
[+] Небольшие улучшения.
[*] Обновлены болгарские, словенские и французские языковые ресурсы (спасибо Костадину Колеву, Йожефу Грегорцу и Мишелю Сюш).


09.12.2017     v2.11.0.642
[+] Добавлена настройка "Разрешить использовать API проверки орфографии для Windows 8/10". Начиная с Windows 8, в операционную систему встроена проверка правописания. Но она работает медленно, и её использование замедлит запуск программы.
[+] Небольшие улучшения.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


25.11.2017     v2.11.0.641
[*] Улучшено преобразование субтитров в звуковые файлы.
[*] Обновлены болгарские, испанские, китайские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Анану и Мишелю Сюш).


18.11.2017     v2.11.0.640
[+] Добавлены пункты главного меню "Вставить тег XML" и "Удалить все теги XML".
[+] Небольшие улучшения.
[*] Обновлены болгарские, испанские, китайские, немецкие, словенские и турецкие языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Анану, Регине Мюллер, Йожефу Грегорцу и Ферхату Бакироглу).


28.10.2017     v2.11.0.639
[+] Добавлена настройка "Область применения" для действий при создании аудиофайлов (окно "Общие настройки", вкладка "Паузы").
[*] Обновлено извлечение текста из файлов форматов EPUB и MHT.
[-] Исправлено извлечение текста из файлов формата DOCX.
[-] Исправлены мелкие ошибки.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


30.09.2017     v2.11.0.638
[-] Исправлено извлечение текста из файлов формата EML.
[*] Обновлены болгарские и французские языковые ресурсы (спасибо Костадину Колеву и Мишелю Сюш).


26.09.2017     v2.11.0.637
[+] Добавлено извлечение текста из файлов форматов XLS, XLSX и ODS.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


24.09.2017     v2.11.0.636
[+] Добавлено извлечение текста из файлов формата EML (сообщения электронной почты).
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские, китайские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре, Анану и Мишелю Сюш).


17.09.2017     v2.11.0.635
[+] Добавлена настройка "Использовать функцию Aero Snap в Windows 10" (окно "Общие настройки", вкладка "Вид").
[-] Исправлены мелкие ошибки.


15.09.2017     v2.11.0.634
[-] Исправлено использование внешних программ для извлечения текста.
[*] Обновлена библиотека UNRAR.DLL.


08.09.2017     v2.11.0.633
[-] Исправлено извлечение текста из файлов формата EPUB (спасибо Adelio Alves).
[*] Обновлены испанские языковые ресурсы (спасибо Фернандо Грегойре).


29.07.2017     v2.11.0.632
[+] Добавлена настройка "Сворачивать в трей при закрытии программы" (окно "Общие настройки", вкладка "Вид").
[-] Исправлена поддержка ClearType.
[*] Обновлены немецкие и турецкие языковые ресурсы (спасибо Регине Мюллер и Чагры Догану).


25.06.2017     v2.11.0.631
[+] Небольшие улучшения.
[*] Обновлены венгерские и португальские языковые ресурсы (спасибо Золтану Мадьяру и Анджело Абрантесу).


17.06.2017     v2.11.0.630
[*] Обновлена панель словарей (для лучшей совместимости с программами экранного доступа).
[-] Исправлены мелкие ошибки.


10.06.2017     v2.11.0.629
[+] Добавлены языковые ресурсы для армянского языка (спасибо "Arman High Foundation").
[-] Исправлена библиотека, встраиваемая в операционную систему.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские и словенские языковые ресурсы (спасибо Костадину Колеву и Йожефу Грегорцу).


14.05.2017     v2.11.0.628
[+] Добавлена возможность сохранения текста в теге USLT внутри звуковых файлов формата MP3.
[+] Добавлена настройка "Закрепить программу на панели задач" в инсталлятор.
[*] Обновлены испанские и итальянские языковые ресурсы (спасибо Фернандо Грегойре и Массимо Кастилье).


29.04.2017     v2.11.0.627
[+] Добавлена возможность использования переменной %FullText% в шаблоне для тегов ID3. Переменная будет заменена содержимым текстового файла.
[*] Обновлены филиппинские языковые ресурсы (спасибо Уильяму Набазе).


23.04.2017     v2.11.0.626
[-] Исправлена возможность перетаскивания текстовых файлов.
[+] Небольшие улучшения.
[*] Обновлены каталанские языковые ресурсы (спасибо Hiro5).


18.04.2017     v2.11.0.625
[+] Добавлена возможность перетаскивания текста при помощи мыши.
[-] Исправлены мелкие ошибки.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


29.03.2017     v2.11.0.624
[+] Добавлена поддержка Spell Checking API для Windows 8 и выше.
[-] Исправлено создание файлов форматов LRC и SRT.
[*] Обновлены чешские языковые ресурсы (спасибо Иржи Фенцу).


21.03.2017     v2.11.0.623
[+] Добавлены языковые ресурсы для филиппинского языка (спасибо Уильяму Набазе).
[+] Небольшие улучшения.
[+] Доступны для загрузки словари проверки орфографии Hunspell для казахского, корейского, турецкого и филиппинского языков.
[*] Обновлены испанские и французские языковые ресурсы (спасибо Фернандо Грегойре и Мишелю Сюш).


11.02.2017     v2.11.0.622
[+] Добавлена поддержка новых специальных символов для регулярных выражений (\U, \L, \E, \u, \l).


05.02.2017     v2.11.0.621
[-] Исправлено создание файлов форматов LRC и SRT.
[*] Обновлено извлечение текста и иллюстраций из файлов формата LIT.
[+] Добавлен итальянский файл справки (спасибо Массимо Кастилье).
[*] Обновлены венгерские и итальянские языковые ресурсы (спасибо Золтану Мадьяру и Массимо Кастилье).


28.01.2017     v2.11.0.620
[-] Исправлено сохранение текстовых файлов в кодировке ANSI.
[*] Обновлено извлечение текста из файлов формата DjVu.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


22.01.2017     v2.11.0.619
[+] Добавлена возможность использования переменной %FileName% в шаблоне для имени файла в окне "Разделить текст на части и преобразовать в аудиофайлы". При преобразовании документа в несколько звуковых файлов переменная будет заменяться именем текстового файла.
[*] Обновлено окно "Разделить текст на части и преобразовать в аудиофайлы".
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


21.01.2017     v2.11.0.618
[+] Добавлена возможность использования переменной %Number% в шаблоне для имени файла в окне "Разделить текст на части и преобразовать в аудиофайлы". Используйте переменную, чтобы поменять позицию порядкового номера внутри имени файла.
[+] Добавлена настройка "Показывать кнопку закрытия на каждой вкладке" (окно "Общие настройки", вкладка "Вид").


02.01.2017     v2.11.0.617
[-] Исправлена поддержка азиатских языков в текстовом редакторе.
[*] Обновлены болгарские и словенские языковые ресурсы (спасибо Костадину Колеву и Йожефу Грегорцу).


26.11.2016     v2.11.0.616
[+] Добавлена возможность использования интерфейса IFilter для извлечения текста.
[+] Добавлен пункт главного меню "Проверить наличие обновлений".
[+] Добавлена настройка "Проверять наличие обновлений при запуске программы".
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские, словенские и хорватские языковые ресурсы (спасибо Костадину Колеву, Йожефу Грегорцу, Гордану Радичу и Фернандо Грегойре).


19.11.2016     v2.11.0.615
[+] Добавлено создание файлов формата SRT для аудиокниг с синхронизированным текстом.
[*] Обновлены французские языковые ресурсы (спасибо Мишелю Сюш).


12.11.2016     v2.11.0.614
[+] Добавлен пункт главного меню "Сохранить все".
[+] Доступны для загрузки словари проверки орфографии Hunspell для хинди, боснийского, исландского и сербского языков.
[+] Добавлена поддержка проверки орфографии для хинди.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


05.11.2016     v2.11.0.613
[+] Добавлено извлечение текста из файлов формата PDB (Plucker).
[+] Добавлено извлечение иллюстраций из книг формата PDB (eReader).
[+] Добавлена поддержка форматов PNM, SVG и TIFF в утилиту для просмотра графических изображений.
[*] Размеры окна редактора для коррекции произношения можно изменять.
[-] Удален пункт главного меню "Повторить текст".
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


27.10.2016     v2.11.0.612
[+] Добавлена поддержка формата PalmDoc eBooks (*.PDB). Поддерживаемые форматы PDB: PalmDOC, Palm Reader/eReader, zTXT.
[+] Добавлена поддержка формата книг Psion/EPOC (*.TCR).
[-] Исправлено извлечение текста из файлов формата AZW3.
[+] Небольшие улучшения.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


15.10.2016     v2.11.0.611
[+] Добавлена поддержка формата Corel WordPerfect (*.WPD).


11.10.2016     v2.11.0.610
[-] Исправлено извлечение текста из файлов формата MHTML.


01.10.2016     v2.11.0.609
[+] Добавлена поддержка украинского языка в окно "Google Text-To-Speech".
[+] Небольшие улучшения.


25.08.2016     v2.11.0.608
[+] Реализована обработка ситуации, когда во время работы программы сменилось аудиоустройство для вывода звука.
[*] Обновлены португальские языковые ресурсы (спасибо Фелипе Порсиункуле Санабрии).


07.08.2016     v2.11.0.607
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Мишелю Сюш).


30.07.2016     v2.11.0.606
[+] Добавлен пункт главного меню "Читать все открытые документы". Если настройка активна, программа будет читать все открытые документы один за другим.
[+] Небольшие улучшения.
[*] Изменен порядок пунктов главного меню. Добавлено подменю "Голос".
[*] Обновлены венгерские языковые ресурсы (спасибо Золтану Мадьяру).


16.07.2016     v2.11.0.605
[+] Небольшие улучшения.
[-] Исправлено извлечение текста из файлов форматов DOCX и ODT.
[*] Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


02.06.2016     v2.11.0.604
[+] Добавлена возможность использования переменной %FirstLine% в шаблоне для имени файла в окне "Разделить текст на части и преобразовать в аудиофайлы". При преобразовании документа в несколько звуковых файлов переменная будет заменяться первой строкой текста.
[+] Небольшие улучшения.
[*] Обновлены арабские, болгарские, испанские, китайские, португальские, словенские и французские языковые ресурсы (спасибо Маджиду аль-Асири, Костадину Колеву, Фелипе Порсиункуле Санабрии, Анану, Йожефу Грегорцу и Мишелю Сюш).


28.05.2016     v2.11.0.603
[+] Добавлена возможность остановки чтения вслух с помощью щелчка левой кнопкой мыши.
[+] Добавлены пункты главного меню "Перейти к следующему предложению" и "Перейти к предыдущему предложению".
[+] Добавлены пункты меню "Перейти к следующему предложению" и "Перейти к предыдущему предложению" в окно "Читать по методу Spritz".
[-] Удалены пункты главного меню "Перейти к следующей строке" и "Перейти к предыдущей строке".


21.05.2016     v2.11.0.602
[+] Небольшие улучшения.
[*] Обновлены испанские и турецкие языковые ресурсы (спасибо Фернандо Грегойре и Чагры Догану).


23.04.2016     v2.11.0.601
[+] Добавлена поддержка регулярных выражений для пунктов меню "Найти" и "Заменить" (см. раздел файла справки "Часто задаваемые вопросы").
[-] Исправлена ошибка в "тихой установке" приложения (когда используется ключ "-silent" в командной строке).
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


12.03.2016     v2.11.0.600
[+] В диалоговое окно "Открыть" добавлена возможность использования URL (ссылки на ресурсы в Интернете можно напрямую вставлять в программу).
[+] Небольшие улучшения.
[-] Исправлено извлечение текста из файлов формата HTML.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


02.03.2016     v2.11.0.599
[+] Добавлена настройка "Сохранить как несколько аудиофайлов" в окно "Преобразовать в аудиофайлы".
[+] Небольшие улучшения.
[*] Обновлены испанские и немецкие языковые ресурсы (спасибо Фернандо Грегойре и Регине Мюллер).


25.02.2016     v2.11.0.598
[*] Google Text-To-Speech используется вновь.


23.02.2016     v2.11.0.597
[*] Вместо Google Text-To-Speech используются другие онлайн-сервисы.
[*] Обновлены китайские языковые ресурсы (спасибо Анану).


14.02.2016     v2.11.0.596
[*] Улучшено распознавание кодировки символов для текстовых файлов.
[*] Вместо сервиса Microsoft Translator используется сервис Google Translate.


16.01.2016     v2.11.0.595
[-] Исправлены мелкие ошибки.
[*] Улучшено извлечение текста из файлов формата PDF.


03.01.2016     v2.11.0.594
[-] Исправлено извлечение текста из файлов формата HTML.
[*] Обновлены арабские и словенские языковые ресурсы (спасибо Маджиду аль-Асири и Йожефу Грегорцу).


05.12.2015     v2.11.0.593
[+] Добавлены языковые ресурсы для каталанского языка (спасибо Hiro5).
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


28.11.2015     v2.11.0.592
[+] Добавлена настройка "Создать подкаталог" в окно "Сохранить как несколько аудиофайлов".
[+] Небольшие улучшения.


06.11.2015     v2.11.0.591
[-] Исправлены мелкие ошибки.


31.10.2015     v2.11.0.590
[-] Исправлены мелкие ошибки.
[*] Вместо сервиса Google Translate используется сервис Microsoft Translator. Памятка для менеджеров Google: "Корень всего злого - любовь к деньгам".


11.10.2015     v2.11.0.589
[-] Исправлены мелкие ошибки.
[*] Обновлены венгерские и турецкие языковые ресурсы (спасибо Золтану Мадьяру и Чагры Догану).


20.09.2015     v2.11.0.588
[-] Исправлена утилита для просмотра графических изображений.
[*] Поменялись местами пункты главного меню "Перейти к следующему абзацу" и "Перейти к предыдущему абзацу", "Перейти к предыдущей строке" и "Перейти к следующей строке".
[*] Обновлены испанские языковые ресурсы (спасибо Фернандо Грегойре).


08.08.2015     v2.11.0.587
[-] Исправлен доступ к сервису Google TTS.


06.08.2015     v2.11.0.586
[-] Исправлено извлечение текста из файлов формата EPUB.
[*] Обновлены словенские и французские языковые ресурсы (спасибо Йожефу Грегорцу и Мишелю Сюш).


28.07.2015     v2.11.0.585
[-] Исправлен доступ к сервису Google Translate.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


20.07.2015     v2.11.0.584
[+] Добавлены пункты главного меню "Добавить текущую строку как закладку" и "Создать оглавление".
[*] Обновлен метод деления текста на части: если задан размер частей текста, это значение будет использовано как верхний предел, а не как целевое значение. Текст будет поделен на части одинакового размера.
[*] Обновлены испанские и немецкие языковые ресурсы (спасибо Фернандо Грегойре и Регине Мюллер).


05.07.2015     v2.11.0.583
[-] Исправлены мелкие ошибки.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


10.06.2015     v2.11.0.582
[-] Исправлены мелкие ошибки.
[*] Обновлены французские языковые ресурсы (спасибо Мишелю Сюш).


07.06.2015     v2.11.0.581
[+] Добавлен пункт главного меню "Найти предыдущее".
[+] Небольшие улучшения.
[-] Удален пункт главного меню "Лупа".
[*] Обновлено применение правил из словарей формата REX.
[*] Набор тем оформления полностью обновлен (старые "шкурки" не будут правильно отображаться в Windows 10).
[*] Обновлены болгарские, словенские и украинские языковые ресурсы (спасибо Костадину Колеву, Йожефу Грегорцу и Евгению Мирошниченко).


11.05.2015     v2.10.0.580
[-] Исправлены мелкие ошибки.
[+] Добавлена возможность запрета запуска нескольких копий программы одновременно.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


12.04.2015     v2.10.0.579
[+] Добавлено удаление мягких переносов в форматирование текста.


30.03.2015     v2.10.0.578
[-] Исправлены мелкие ошибки.


10.01.2015     v2.10.0.577
[-] Исправлены мелкие ошибки.
[+] Добавлены языковые ресурсы для словенского языка (спасибо Йожефу Грегорцу).
[*] Обновлены языковые ресурсы для хорватского языка (спасибо Гордану Радичу).


14.12.2014     v2.10.0.576
[-] Исправлены мелкие ошибки.
[*] Обновлены арабские и турецкие языковые ресурсы (спасибо Маджиду аль-Асири и Чагры Догану).


11.10.2014     v2.10.0.575
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, испанские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Мишелю Сюш).


27.09.2014     v2.10.0.574
[-] Исправлено извлечение текста из файлов формата CHM.
[+] Небольшие улучшения.
[*] Обновлены румынские языковые ресурсы (спасибо Александру Мунтяну).


30.08.2014     v2.10.0.573
[+] Небольшие улучшения.
[*] Обновлены венгерские языковые ресурсы (спасибо Золтану Мадьяру).


20.07.2014     v2.10.0.572
[+] Добавлена поддержка новых языков для чтения по методу Spritz.
[*] Обновлены украинские и французские языковые ресурсы (спасибо Евгению Мирошниченко и Мишелю Сюш).


13.07.2014     v2.10.0.571
[*] Максимальная скорость чтения по методу Spritz была увеличена до 1000 слов в минуту.
[*] Обновлены турецкие языковые ресурсы (спасибо Чагры Догану).


04.06.2014     v2.10.0.570
[-] Исправлена ошибка в использовании глобальных сочетаний клавиш.
[*] Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и Фернандо Грегойре).


24.05.2014     v2.10.0.569
[+] Добавлена кнопка "Удалить вместе с текстом" в окно "Перейти по именованной закладке".
[*] Чтение по методу Spritz было улучшено.
[*] Обновлены болгарские, испанские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Мишелю Сюш).


18.05.2014     v2.10.0.568
[+] Добавлена поддержка технологии Spritz для скорочтения.
[*] Обновлены испанские, немецкие и румынские языковые ресурсы (спасибо Фернандо Грегойре, Регине Мюллер и Александру Мунтяну).


08.04.2014     v2.9.0.567
[-] Исправлены мелкие ошибки.
[+] Добавлен испанский файл справки (спасибо Фернандо Грегойре).


29.03.2014     v2.9.0.566
[+] Небольшие улучшения.
[*] Обновлены болгарские, испанские и французские языковые ресурсы (спасибо Костадину Колеву, Фернандо Грегойре и Мишелю Сюш).


22.02.2014     v2.9.0.565
[+] Добавлен пункт "Редактировать в Блокноте" в контекстное меню панели словарей.
[+] Добавлены языковые ресурсы для хорватского языка (спасибо Гордану Радичу).
[*] Обновлены сербские языковые ресурсы (спасибо Александру Дуричу).


26.01.2014     v2.9.0.564
[+] Оглавление файла импортируется как список именованных закладок (для файлов формата FB2). Функция будет работать, если в окне "Установки" не стоит "галочка" в пункте "Форматировать текст после открытия файла".
[-] Исправлено извлечение текста из файлов формата EPUB.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


19.01.2014     v2.9.0.563
[+] Небольшие улучшения.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


03.01.2014     v2.9.0.562
[+] Небольшие улучшения.
[*] Обновлены украинские и французские языковые ресурсы (спасибо Евгению Мирошниченко и Мишелю Сюш).


01.12.2013     v2.9.0.561
[+] Улучшено извлечение текста из файлов формата DOCX и ODT: добавлено извлечение сносок и концевых сносок.
[-] Исправлены мелкие ошибки.
[*] Обновлены итальянские и румынские языковые ресурсы (спасибо Фабио Боккалетти и Александру Мунтяну).


02.11.2013     v2.9.0.560
[*] Обновлена панель настроек голоса.
[-] Исправлены мелкие ошибки.
[*] Обновлены немецкие, украинские, турецкие и французские языковые ресурсы (спасибо Регине Мюллер, Евгению Мирошниченко, Чагры Догану и Любови Тюриной).


20.10.2013     v2.8.0.559
[+] Добавлены настройки прокси-сервера для Google Translate и Google TTS.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


06.10.2013     v2.8.0.558
[+] Добавлен пункт главного меню "Сайт программы".
[-] Исправлены мелкие ошибки.


25.08.2013     v2.8.0.557
[+] Небольшие улучшения.
[*] Обновлены итальянские и румынские языковые ресурсы (спасибо Фабио Боккалетти и Александру Мунтяну).


18.08.2013     v2.8.0.556
[+] Добавлена возможность получения данных из STDIN при использовании внешних программ для извлечения текста.
[-] Библиотека DELZIP190.DLL не используется.


14.08.2013     v2.8.0.555
[*] Изменено окно "Список ошибок правописания".
[*] Обновлен способ извлечения текста из файлов формата PDF.


03.08.2013     v2.8.0.554
[-] Исправлено извлечение текста из файлов форматов EPUB и PDF.


30.07.2013     v2.8.0.553
[*] Обновлено преобразование субтитров в звуковые файлы.
[*] Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


28.07.2013     v2.8.0.552
[*] Обновлен способ извлечения текста из файлов формата PDF.
[*] Обновлены болгарские и французские языковые ресурсы (спасибо Костадину Колеву и Мишелю Сюш).


21.07.2013     v2.8.0.551
[+] Добавлен пункт главного меню "Преобразовать субтитры". Программа преобразует текстовые файлы с субтитрами в звуковые файлы. Поддерживаются форматы субтитров SRT, SSA/ASS и SMI.
[*] Обновлены болгарские, немецкие, турецкие и французские языковые ресурсы (спасибо Костадину Колеву, Регине Мюллер, Чагры Догану и Мишелю Сюш).


07.07.2013     v2.7.0.550
[+] Добавлен пункт главного меню "Импорт текста". В новое окно перенесены настройки из окна "Установки" (закладка "Файлы"), а также добавлена возможность задания способа использования внешних программ для работы с теми форматами документов, которые "Балаболка" не поддерживает.
[*] Обновлены болгарские и немецкие языковые ресурсы (спасибо Костадину Колеву и Регине Мюллер).


21.06.2013     v2.7.0.549
[+] Небольшие улучшения.
[*] Обновлены итальянские и румынские языковые ресурсы (спасибо Фабио Боккалетти и Александру Мунтяну).


02.06.2013     v2.7.0.548
[+] Добавлена возможность создания нового документа двойным щелчком левой кнопки мыши на пустой области справа от заголовков закладок.
[+] Добавлена возможность закрытия документа щелчком средней кнопки мыши на заголовке закладки.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, украинские и французские языковые ресурсы (спасибо Костадину Колеву, Евгению Мирошниченко и Мишелю Сюш).


25.05.2013     v2.7.0.547
[+] Добавлена опция "Никогда не предлагать сохранить измененный текст" (окно "Установки", вкладка "Текст").
[*] Обновлены болгарские, польские, португальские, турецкие и украинские языковые ресурсы (спасибо Костадину Колеву, Збигневу Стржельчику, Тьяго Нонато, Чагры Догану и Евгению Мирошниченко).


01.05.2013     v2.7.0.546
[+] Добавлена настройка "Открыть папку в "Проводнике" Windows, когда сохранение аудиофайла завершено" в окно "Аудиофайлы".
[+] Небольшие улучшения.
[*] Обновлены болгарские, немецкие, турецкие и французские языковые ресурсы (спасибо Костадину Колеву, Регине Мюллер, Чагры Догану и Мишелю Сюш).


14.04.2013     v2.7.0.545
[+] Добавлены пункты главного меню "Увеличить размер шрифта" и "Уменьшить размер шрифта".
[+] Небольшие улучшения.
[*] Обновлены корейские языковые ресурсы (спасибо Чхве Юн Су).


06.04.2013     v2.7.0.544
[+] Небольшие улучшения.
[*] Обновлены болгарские, итальянские, румынские, украинские и французские языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти, Александру Мунтяну, Евгению Мирошниченко и Мишелю Сюш).


24.03.2013     v2.7.0.543
[+] Добавлены опции "Вставить паузу" и "Вставить аудиоклип" (окно "Установки", вкладка "Паузы").
[*] Кнопка "Аудио" на панели параметров голоса заменена пунктом главного меню "Настройки | Выбор аудиоустройства".
[*] Вкладка "Кнопки" в окне "Установки" была преобразована в новое окно "Кнопки".
[*] Обновлены арабские, болгарские, немецкие и французские языковые ресурсы (спасибо Маджиду аль-Асири, Костадину Колеву, Регине Мюллер и Мишелю Сюш).


17.03.2013     v2.6.0.542
[+] Добавлены пункты главного меню "Перейти к следующей строке" и "Перейти к предыдущей строке".
[+] Добавлен список французских омографов (спасибо Мишелю Сюш).
[*] Обновлены турецкие и французские языковые ресурсы (спасибо Чагры Догану и Мишелю Сюш).


12.03.2013     v2.6.0.541
[+] Небольшие улучшения.
[*] Обновлены болгарские, итальянские и немецкие языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти и Регине Мюллер).


03.03.2013     v2.6.0.540
[+] Утилита для извлечения текста доступна для скачивания на сайте программы.
[+] Добавлена поддержка формата Kindle Format 8 (*.AZW3).
[+] Добавлены языковые ресурсы для греческого языка (спасибо Василису Мандратзису).
[*] Обновлены болгарские и немецкие языковые ресурсы (спасибо Костадину Колеву и Регине Мюллер).


26.02.2013     v2.6.0.539
[+] Консольное приложение доступно для скачивания на сайте программы.
[+] Небольшие улучшения.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


10.02.2013     v2.6.0.538
[-] Исправлены мелкие ошибки.
[*] Обновлены польские, румынские, турецкие и украинские языковые ресурсы (спасибо Збигневу Стржельчику, Александру Мунтяну, Чагры Догану и Евгению Мирошниченко).


20.01.2013     v2.6.0.537
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, итальянские и французские языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти и Мишелю Сюш).


08.01.2013     v2.6.0.536
[+] Добавлены глобальные сочетания клавиш "Вставить текст из буфера обмена" и "Выбрать голос".
[+] Добавлены языковые ресурсы для сербского языка (спасибо Ozzii).
[*] Обновлены немецкие и украинские языковые ресурсы (спасибо Регине Мюллер и Евгению Мирошниченко).


13.12.2012     v2.6.0.535
[-] Исправлена проблема с использованием "шкурок" (спасибо Гарри Дженнингсу).
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


12.12.2012     v2.6.0.534
[+] Добавлена возможность использования других аудиокодеков (окно "Аудиофайлы", вкладка "Настройки/Другие кодеки").
[+] Добавлена возможность установки программы в автоматическом режиме без показа диалогов ("тихая установка"). Для этого необходимо использовать ключ "-silent" в командной строке.
[+] Добавлены новые настройки в "Слежение за буфером обмена Windows".
[-] Исправлены мелкие ошибки.
[*] Улучшена поддержка Windows 7/8.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


11.11.2012     v2.5.0.533
[-] Исправлено извлечение текста из файлов формата EPUB (спасибо Джулиано Артико).
[-] Исправлены мелкие ошибки.


22.10.2012     v2.5.0.532
[-] Исправлены мелкие ошибки.
[*] Обновлены японские языковые ресурсы (спасибо Ольге Чебышевой).


22.09.2012     v2.5.0.531
[-] Исправлена проблема с Windows Media Audio (спасибо Николаю Пономареву).
[-] Исправлена проблема с системами проверки орфографии (спасибо Герману Гарсии).


08.09.2012     v2.5.0.530
[-] Исправлены мелкие ошибки.
[*] Обновлены польские и португальские языковые ресурсы (спасибо Тьяго Нонато и Збигневу Стржельчику).


26.08.2012     v2.5.0.529
[-] Исправлены мелкие ошибки.
[*] Обновлены сербские языковые ресурсы (спасибо Райко Томичу).


20.08.2012     v2.5.0.528
[+] Добавлены языковые ресурсы для сербского языка (спасибо Райко Томичу).
[*] Обновлены арабские, болгарские, итальянские, румынские, украинские и французские языковые ресурсы (спасибо Маджиду аль-Асири, Костадину Колеву, Фабио Боккалетти, Александру Мунтяну, Евгению Мирошниченко и Мишелю Сюш).


12.08.2012     v2.5.0.527
[-] Исправлены мелкие ошибки.
[*] Обновлены арабские, болгарские, турецкие, украинские и японские языковые ресурсы (спасибо Маджиду аль-Асири, Костадину Колеву, Чагры Догану, Евгению Мирошниченко и Ольге Чебышевой).


24.06.2012     v2.5.0.526
[+] Добавлен пункт "Слежение за буфером обмена Windows" в окно "Установки" (закладка "Буфер обмена").
[+] Небольшие улучшения.
[*] Обновлены итальянские, немецкие и румынские языковые ресурсы (спасибо Фабио Боккалетти, Регине Мюллер и Александру Мунтяну).


06.05.2012     v2.5.0.525
[+] Небольшие улучшения.
[*] Обновлен французский файл справки (спасибо Любови Тюриной).
[*] Обновлены японские языковые ресурсы (спасибо Ольге Чебышевой).


29.04.2012     v2.5.0.524
[+] Главное окно программы и маленькое "плавающее" окно "прилипают" к границам экрана или границам других окон при перемещении.
[*] Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


24.04.2012     v2.5.0.523
[-] "Быстрый" метод применения правил для коррекции произношения больше не используется.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, корейские, немецкие и французские языковые ресурсы (спасибо Костадину Колеву, Чхве Юн Су, Регине Мюллер и Мишелю Сюш).


21.04.2012     v2.5.0.522
[+] Добавлен пункт главного меню "Сохранить аудиофайл (Google TTS)". Программа сохраняет текст в виде аудиофайла при помощи сервиса синтеза речи на сервере Google. Доступны голоса для более чем 30 языков.
[+] Небольшие улучшения.
[+] Добавлены языковые ресурсы для финского языка (спасибо Вейкко Муурикайнену).
[*] Обновлены итальянские языковые ресурсы (спасибо Фабио Боккалетти).


08.04.2012     v2.4.0.521
[+] Добавлено чтение электронных книг Microsoft Reader (*.LIT).
[*] Обновлены болгарские и французские языковые ресурсы (спасибо Костадину Колеву и Мишелю Сюш).


31.03.2012     v2.4.0.520
[+] Небольшие улучшения.
[*] Обновлены арабские, немецкие, португальские и румынские языковые ресурсы (спасибо Маджиду аль-Асири, Регине Мюллер, Тьяго Нонато и Александру Мунтяну).


25.03.2012     v2.4.0.519
[+] Небольшие улучшения.
[*] Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


20.03.2012     v2.4.0.518
[+] Добавлено чтение электронных книг Mobipocket/Kindle (*.AZW, *.MOBI, *.PRC).
[*] Внесены изменения в "быстрый" метод применения правил для коррекции произношения.
[*] Файлы справки хранятся в папке "Help", а не в корневом каталоге программы.
[*] Обновлены немецкие и французские языковые ресурсы (спасибо Регине Мюллер и Мишелю Сюш).


04.03.2012     v2.3.0.517
[+] Небольшие улучшения.
[-] Исправлены мелкие ошибки.


08.01.2012     v2.3.0.516
[-] Исправлены мелкие ошибки.
[*] Обновлены арабские и немецкие языковые ресурсы (спасибо Маджиду аль-Асири и Регине Мюллер).


25.12.2011     v2.3.0.515
[+] Добавлено использование специальных кодов в окнах "Найти" и "Заменить" (тех же кодов, что и в Microsoft Word).
[*] Обновлены итальянские языковые ресурсы (спасибо Фабио Боккалетти).


11.12.2011     v2.3.0.514
[+] Добавлены языковые ресурсы для турецкого языка (спасибо Чагры Догану).


26.11.2011     v2.3.0.513
[+] Добавлена кнопка "Разделить" в окно "Сохранить как несколько аудиофайлов".
[+] Небольшие улучшения.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


06.11.2011     v2.3.0.512
[+] Добавлено создание плей-листов для звуковых файлов (окно "Аудиофайлы", вкладка "Плей-лист"). Поддерживаются форматы M3U, PLS, WPL и XSPF.
[*] Обновлены немецкие и украинские языковые ресурсы (спасибо Регине Мюллер и Евгению Мирошниченко).


30.10.2011     v2.3.0.511
[-] Исправлены мелкие ошибки.
[*] Обновлены китайские языковые ресурсы (спасибо Юйпэну).


22.10.2011     v2.3.0.510
[+] Добавлена поддержка Microsoft Speech Platform. Установленные голоса будут доступны на закладке "Microsoft Speech Platform" в главном окне программы.
[-] Прекращена поддержка версии 1.xx программы "Балаболка".
[*] Обновлены болгарские, итальянские, корейские, немецкие и украинские языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти, Чхве Юн Су, Регине Мюллер и Евгению Мирошниченко).


16.10.2011     v2.2.0.509
[+] Добавлен пункт "Использовать голос, заданный в панели управления Windows" в окно "Установки" (закладка "Голос").
[-] Исправлены мелкие ошибки.
[*] Обновлены немецкие и французские языковые ресурсы (спасибо Регине Мюллер и Мишелю Сюш).


02.10.2011     v2.2.0.508
[*] Окно "Перевести" было обновлено. Google Translate API больше не используется в программе (так как он станет платным с 1 декабря 2011 года). Теперь программа обращается к сервису Google Translate напрямую.
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, румынские и украинские языковые ресурсы (спасибо Костадину Колеву, Александру Мунтяну и Евгению Мирошниченко).


11.09.2011     v2.2.0.507
[+] Добавлены новые настройки в окна "Таймер" и "Извлечь текст из файлов".
[+] Небольшие улучшения.
[*] Обновился текст лицензионного соглашения.
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


28.08.2011     v2.2.0.506
[+] Небольшие улучшения.
[*] Обновлены португальские языковые ресурсы (спасибо Тьяго Нонато).


08.08.2011     v2.2.0.505
[+] Небольшие улучшения.
[+] Добавлены языковые ресурсы для японского языка (спасибо Игорю Сергееву и Мисе Цуруми).
[*] Внесены изменения в "быстрый" метод применения правил для коррекции произношения.


03.07.2011     v2.2.0.504
[-] Исправлены мелкие ошибки.


24.05.2011     v2.2.0.503
[-] Исправлено извлечение текста из файлов формата EPUB.
[-] Исправлены мелкие ошибки.
[*] Обновлены китайские и польские языковые ресурсы (спасибо Юйпэну и Збигневу Стржельчику).


02.05.2011     v2.2.0.502
[+] Улучшено извлечение текста из файлов форматов HTML и MHT.
[+] Улучшена поддержка системы проверки орфографии Hunspell.
[+] Добавлены языковые ресурсы для арабского языка (спасибо Маджиду аль-Асири).
[*] Обновлены корейские языковые ресурсы (спасибо Чхве Юн Су).


26.04.2011     v2.2.0.501
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, итальянские и украинские языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти и Евгению Мирошниченко).


10.04.2011     v2.2.0.500
[+] Добавлен пункт главного меню "Прямая речь". С его помощью можно вставить в текст теги для смены речевого движка при чтении диалогов. Только для SAPI 5.
[*] Обновлены китайские, немецкие и чешские языковые ресурсы (спасибо CMHDREAM, Регине Мюллер и Станиславу Томеку).


27.03.2011     v2.2.0.499
[-] Внесены исправления в "быстрый" метод применения правил для коррекции произношения.
[-] Исправлены мелкие ошибки.
[*] Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


20.03.2011     v2.2.0.498
[+] Добавлен регулятор тембра на панель настроек голоса (закладка "SAPI 5").
[+] Добавлены языковые ресурсы для вьетнамского языка (спасибо Missfly82-AIO).
[-] Исправлены мелкие ошибки.


12.03.2011     v2.2.0.497
[+] Добавлены глобальные сочетания клавиш "Перейти к следующему абзацу" и "Перейти к предыдущему абзацу".
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


26.02.2011     v2.2.0.496
[+] Добавлен раздел "Фонетические алфавиты" в файл справки.
[+] Небольшие улучшения.
[*] Обновлены итальянские, немецкие, португальские и украинские языковые ресурсы (спасибо Фабио Боккалетти, Регине Мюллер, Тьяго Нонато и Евгению Мирошниченко).


20.02.2011     v2.2.0.495
[+] Добавлено чтение файлов в формате DjVu; программа извлекает содержимое текстового (OCR) слоя.
[-] Убрана настройка "Скорость записи в файл" (SAPI 4) из окна "Аудиофайлы".
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, итальянские, корейские, румынские и французские языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти, Чхве Юн Су, Александру Мунтяну и Мишелю Сюш).


12.02.2011     v2.2.0.494
[+] Добавлено чтение файлов в формате Compiled HTML Help (с расширением CHM).
[+] Оглавление файла импортируется как список именованных закладок (для форматов файлов CHM и EPUB). Функция будет работать, если в окне "Установки" не стоит "галочка" в пункте "Форматировать текст после открытия файла".
[*] Обновлено извлечение текста из файлов форматов EPUB и HTML.
[-] Исправлено чтение файлов формата FB2.
[+] Добавлена кнопка "Цвет текста" в окно "Шрифт и цвета".
[+] Добавлена настройка "Кодировка сохраняемого файла" в окно "Разбить файл на части".
[+] Небольшие улучшения.
[*] Библиотеки для разархивирования и файл "viewer.exe" хранятся в подкаталоге "utils".
[*] Обновлены болгарские, корейские, немецкие и украинские языковые ресурсы (спасибо Костадину Колеву, Чхве Юн Су, Регине Мюллер и Евгению Мирошниченко).


06.02.2011     v2.1.0.493
[*] Обновлено извлечение текста из файлов форматов DOC, DOCX, EPUB, ODT.
[+] Добавлен пункт главного меню "Правка | Изменить выделенное | Озаглавить все строки" (для стихотворений).
[*] Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


30.01.2011     v2.1.0.492
[+] Словарь омографов может быть сохранен как DIC-файл (кнопка "Сохранить как" в редакторе словаря омографов).
[*] При чтении вслух выделенного фрагмента текста выделение не исчезает.
[+] Добавлена вкладка "Искать" в файлы справки (для совместимости с программами экранного доступа).
[+] Небольшие улучшения.
[*] Обновлены болгарские, итальянские, польские и украинские языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти, Збигневу Стржельчику и Евгению Мирошниченко).


23.01.2011     v2.1.0.491
[+] Добавлен корейский файл справки (спасибо Чхве Юн Су).
[-] Исправлены ошибки в применения правил для коррекции произношения.
[*] Обновлены болгарские, корейские и украинские языковые ресурсы (спасибо Костадину Колеву, Чхве Юн Су и Евгению Мирошниченко).


16.01.2011     v2.1.0.490
[+] Добавлен французский файл справки (спасибо Любови Тюриной).
[+] Добавлены опции "Показывать все слова" и "Не показывать слова из текстового файла" в окно "Найти имена в тексте".
[*] Обновлены болгарские, корейские, немецкие, португальские, румынские, украинские и чешские языковые ресурсы (спасибо Костадину Колеву, Чхве Юн Су, Регине Мюллер, Тьяго Нонато, Александру Мунтяну, Евгению Мирошниченко и Станиславу Томеку).


06.01.2011     v2.1.0.489
[+] Добавлен пункт главного меню "Аудиоклип". Он позволяет вставить в текст ссылку на внешний звуковой файл: {{Audio=c:\Sounds\ring.mp3}} Поддерживаемые форматы: WAV, MP3, OGG.
[*] Расширение файла 'INI' будет автоматически заменено на 'REX' для словарей коррекции произношения.
[+] Для добавления номеров блоков (файлов) в начало и в конец аудиофайлов может использоваться переменная %default%. Она означает текст по умолчанию в зависимости от языка текущего синтезатора речи (для русских голосов это будет 'Блок %d.' и 'Конец блока %d.').
[+] Небольшие улучшения.
[*] Обновлены итальянские, немецкие и украинские языковые ресурсы (спасибо Фабио Боккалетти, Регине Мюллер и Евгению Мирошниченко).


20.12.2010     v2.0.0.488
[-] Исправлены мелкие ошибки.
[*] Обновлены болгарские, корейские и украинские языковые ресурсы (спасибо Костадину Колеву, Чхве Юн Су и Евгению Мирошниченко).


19.12.2010     v2.0.0.487
[+] Окно "Перевести" было улучшено.
[+] Добавлена возможность чтения текста с начала абзаца (окно "Настройки", вкладка "Общие"). Чтение текста также может осуществляться с позиции курсора или начала документа.
[+] Небольшие улучшения.
[-] Из списка голосов SAPI 4 автоматически удаляются голоса фирмы Loquendo с именами "Olga 8000" и "Ludoviko 8000". Выбор этих голосов из списка приводил к сбою в работе программы.
[*] Обновлены китайские языковые ресурсы (спасибо Юйпэну).


12.12.2010     v2.0.0.486
[+] Выпущена версия 2.0.
[+] Улучшена поддержка системы проверки орфографии Hunspell.
[*] Обновлены болгарские, итальянские, корейские, польские и украинские языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти, Чхве Юн Су, Збигневу Стржельчику и Евгению Мирошниченко).

###